try{
    const listOfEle_MCTFQ = document.getElementsByClassName(parentCActivity_class_MCTFQ);
    if (listOfEle_MCTFQ.length>0){
        let i;
        for(i=0; i<listOfEle_MCTFQ.length; i++){
            if (listOfEle_MCTFQ[i].getAttribute('title') == parentCActivity_title_MCTFQ){
                //create 1 CompInfoObject to hold the component information and instructions
                const re_CompInfo_obj = new CompInfoObject(listOfEle_MCTFQ[i],builder_class_MCTFQ);
                re_CompInfo_obj.activity_ID = Get_UNQ_RNDid();
                //Build Static Part - create 1 InstructObject to build the mandatory Practice Quiz section
                const re_instruct_ob_S_0 = new InstructObject(staticParts_MCTFQ[0]);
                re_instruct_ob_S_0.areObjects_RIA = true;
                re_instruct_ob_S_0.settings_level = "main-settings";
                Find_Build_Settings_Array(re_CompInfo_obj.buiDIV_element,re_instruct_ob_S_0);
                //check the main settings to see what the panel settings are
                //  panel-add , add panel no or yes
                //  if panel-add = yes then panel-collapse, if it collapsible no or yes
                //  if panel-add = yes then panel-text, panel text
                let re_instruct_panel;
                if(re_instruct_ob_S_0.get_SAR_value('panel-add').toLowerCase()=='y' || re_instruct_ob_S_0.get_SAR_value('panel-add').toLowerCase()=='yes'){
                    if(re_instruct_ob_S_0.get_SAR_value('panel-collapse').toLowerCase()=='y' || re_instruct_ob_S_0.get_SAR_value('panel-collapse').toLowerCase()=='yes'){
                        re_instruct_panel = new InstructObject(dynamicParts_MCTFQ[1]); //collapsible panel
                    }else{
                        re_instruct_panel = new InstructObject(dynamicParts_MCTFQ[0]); //fixed panel
                    }
                    re_instruct_panel.areObjects_RIA = true;
                    re_instruct_panel.settings_level = "main-settings";
                    //add the randomize-me, panel-text, and activity-id to the settings arr to the instruction for building the panel
                    re_instruct_panel.settings_arr.set('randomize-me',re_instruct_ob_S_0.get_SAR_value('randomize-me'));
                    re_instruct_panel.settings_arr.set('panel-text',re_instruct_ob_S_0.get_SAR_value('panel-text'));
                    re_instruct_panel.settings_arr.set('activity-id',re_CompInfo_obj.activity_ID);
                }
                if(re_instruct_panel){
                    Customize_Info_MCTFQ(re_CompInfo_obj,re_instruct_panel);
                    //INO type see if need to apply any settings
                    Check_Apply_Settings(re_instruct_panel);
                    re_instruct_ob_S_0.row_info_arrays.push(re_instruct_panel);
                }else{
                    Customize_Info_MCTFQ(re_CompInfo_obj,re_instruct_ob_S_0);
                    //INO type see if need to apply any settings
                    Check_Apply_Settings(re_instruct_ob_S_0);
                }
                
                //add the static Part InstructObject to the CompInfoObject
                re_CompInfo_obj.instructions_array.push(re_instruct_ob_S_0);
                const built_html = Build_HTML(re_CompInfo_obj);
                if(built_html && built_html.children.length>0){
                    insert_before(re_CompInfo_obj.parCActivityDIV_element,re_CompInfo_obj.buiDIV_element,built_html);
                }
            }
        }
    } 
}catch(err){
}

/**
 * Need to build from scratch the row_info_arrays based on parsing the quiz component for content.
 * Go through the info array in the instruction object and add custom classes or column value based on the components needs. ex. generate IDs if needed 
 * @param {Object} compinfo_obj Component info object containing all reference information to locate the content to build
 * @param {Object} instruct_obj Static instruction object to add all other instructions into
 */
function Customize_Info_MCTFQ(compinfo_obj, instruct_obj){
    //Build the questions - create # of InstructObject for each question found to build
    const buiDiv_childs = compinfo_obj.buiDIV_element.children;
    let quest_count=0;
    for(const child of buiDiv_childs){
        //find sections with class="new-question"
        if(child.classList.contains("new-question")){
            //build instructions with corresponding instructions, S_1 for data-question-type="MC" (Multiple Choice) or data-question-type="TF" (True or False) or S_# data-question-type="MS" (Multi-Select) section containers
            let re_instruct_sec_type; //holds the instruction to build question type section MC/TF or MS
            let re_instruct_ques; //holds the instructions to build the type of question inside the section

            const type_quest = child.getAttribute("data-question-type");
            
            if(type_quest && (type_quest.toUpperCase()=="MC" || type_quest.toUpperCase()=="TF")){
                re_instruct_sec_type = new InstructObject(staticParts_MCTFQ[1]);
            }else if(type_quest && type_quest.toUpperCase()=="MS"){
                re_instruct_sec_type = new InstructObject(staticParts_MCTFQ[4]);
            }else if(type_quest && type_quest.toUpperCase()=="SA"){
                re_instruct_sec_type = new InstructObject(staticParts_MCTFQ[7]);
            }else if(type_quest && type_quest.toUpperCase()=="RA"){
                re_instruct_sec_type = new InstructObject(staticParts_MCTFQ[8]);
            }
            re_instruct_sec_type.areObjects_RIA=true;
            if(type_quest && type_quest.toUpperCase()=="SA"){
                re_instruct_ques = new InstructObject(staticParts_MCTFQ[6]);
            }else if(type_quest && type_quest.toUpperCase()=="RA"){
                re_instruct_ques = new InstructObject(staticParts_MCTFQ[9]);
            }else{
                re_instruct_ques = new InstructObject(staticParts_MCTFQ[2]);
            }
            const row_arr_quest = new Array(); //create a row array to hold the question information including the options instruct
            let grab_question_result;
            let row_info_indx;
            for(row_info_indx=0;row_info_indx<info_col_def_MCTFQ.length;row_info_indx++){ //info_col_def_MCTFQ will indicate what is needed
                const divContent = document.createElement("DIV");
                if(row_info_indx==0){ //activity id
                    const textNodeFound = document.createTextNode(compinfo_obj.activity_ID);
                    divContent.append(textNodeFound);
                    row_arr_quest.push(divContent); //activity id
                }else if(row_info_indx==1){ //Question Type
                    const textNodeFound = document.createTextNode(type_quest);
                    divContent.append(textNodeFound);
                    row_arr_quest.push(divContent); //Question Type
                }else if(row_info_indx==2){ //Question Text
                    //find question text by locating P tag with class="question-text"
                    const text_quest_p = SearchChildrenFor([['tagName',"P"],['class','question-text']],child);
                    if(text_quest_p){
                        //look for span with data-question-part="quest-text"
                        const text_quest_span = SearchChildrenFor([['tagName',"SPAN"],['data-question-part','quest-text'],['class','edit-able']],text_quest_p);
                        grab_question_result =  Grab_Content(text_quest_span,info_col_def_MCTFQ[row_info_indx],divContent);
                        if(!grab_question_result){
                            const blankText = document.createTextNode('N/A');
                            divContent.append(blankText);
                        }else{
                            quest_count++;
                        }
                    }
                    row_arr_quest.push(divContent); // question text
                }else if(row_info_indx==3 && type_quest && type_quest.toUpperCase()!="SA"){ //Options instructions object
                    //find the ol tag with class="opt-listing"
                    const options_quest_ol = SearchChildrenFor([['tagName',"OL"],['class','opt-listing']],child);
                    //Build the options - create 1 InstructObject to build all the options found for the question   
                    if(options_quest_ol){
                        let re_instruct_opts
                        if(type_quest && (type_quest.toUpperCase()=="MC" || type_quest.toUpperCase()=="TF")){
                            re_instruct_opts = new InstructObject(staticParts_MCTFQ[3]);
                        }else if(type_quest && type_quest.toUpperCase()=="RA"){
                            re_instruct_opts = new InstructObject(staticParts_MCTFQ[10]);
                        }else if(type_quest && type_quest.toUpperCase()=="MS"){
                            re_instruct_opts = new InstructObject(staticParts_MCTFQ[5]);
                        }
                        const options_ol_childs = options_quest_ol.children;
                        let option_counter=1; //options displayed in the editor starts at 1
                        let answer_quest_num = new Array();

                        if(re_instruct_opts && type_quest.toUpperCase()!="RA"){
                            re_instruct_opts.settings_level = "sub-settings";
                            Find_Build_Settings_Array(child,re_instruct_opts);
                            //need to split the answers by comma
                            for(const [key,value] of re_instruct_opts.settings_arr){
                                if(key=='answer-me'){
                                    if(value.trim().length>0){
                                        const answer_quest_arr = value.trim().split(',');
                                        for(let ans_str of answer_quest_arr){
                                            answer_quest_num.push(parseInt(ans_str.trim()));
                                        }
                                    }
                                }
                            }                            
                        }
                        for(const option_quest of options_ol_childs){
                            const option_arr = new Array(); //holds the options info pair [option value, content/text]
                            let option_arr_indx;
                            let grab_option_result;
                            for(option_arr_indx=0; option_arr_indx<2; option_arr_indx++){ //fill in the information arr [true/false, option content/text]
                                const divOptionContent = document.createElement("DIV");
                                if(option_arr_indx==0){ //true/false value
                                    let answer_value="false";
                                    if(answer_quest_num.includes(option_counter)){// this option is the answer so mark push text true
                                        answer_value="true";
                                    }
                                    const textNodeFound = document.createTextNode(answer_value);
                                    divOptionContent.append(textNodeFound);

                                }else if (option_arr_indx==1){ //question content/text
                                    //look for span with data-question-part="option-text"
                                    const options_quest_span = SearchChildrenFor([['tagName',"SPAN"],['data-question-part','option-text'],['class','edit-able']],option_quest);
                                    grab_option_result = Grab_Content(options_quest_span,'MIXED',divOptionContent);
                                    if(!grab_option_result){
                                        const blankText = document.createTextNode("N/A");
                                        divOptionContent.append(blankText);
                                    }
                                }
                                option_arr.push(divOptionContent);
                            }
                            //only add options if they have text in them as it would not be complete
                            if(grab_option_result){
                                re_instruct_opts.row_info_arrays.push(option_arr);
                            }
                            option_counter++;
                        }
                         //add the option InstructObject to the Question InstructObject row_info_arrays row array
                        row_arr_quest.push(re_instruct_opts); //options instruction
                        //INO type see if need to apply any settings
                        Check_Apply_Settings(re_instruct_opts);
                    }
                }
            }
            //add the row info array for the question into the instrucObject row_info_arrays
            re_instruct_ques.row_info_arrays.push(row_arr_quest);
            
            //only add the whole question with it's options if question text exist. if blank then it would not not make sense to display
            if(grab_question_result){
                //add the question instruction into the question section type
                re_instruct_sec_type.row_info_arrays.push(re_instruct_ques);
                //find div with data-reveal-type attribute
                const reveal_type_div = SearchChildrenFor([['tagName',"DIV"],['class','hint-answer'],['data-reveal-type','*']],child);
                if(reveal_type_div){
                    let re_instruct_reveal; //holds the instruction to build the reveal section
                    //create instrucitons to build the reveal section
                    const row_arr_reveal = new Array(); //create a row array to hold the reveal(hint/feedback) information
                    re_instruct_reveal = new InstructObject(dynamicParts_MCTFQ[2]);
                    let row_info_indx_reveal;
                    for(row_info_indx_reveal=0;row_info_indx_reveal<info_col_def_Reveal.length;row_info_indx_reveal++){ //info_col_def_Reveal will indicate what is needed
                        const divContent_reveal = document.createElement("DIV");
                        if(row_info_indx_reveal==0){ //activity id
                            const textNodeFound = document.createTextNode(compinfo_obj.activity_ID);
                            divContent_reveal.append(textNodeFound);

                        }else if(row_info_indx_reveal==1){ //question number
                            const textNodeFound = document.createTextNode(quest_count);
                            divContent_reveal.append(textNodeFound);

                        }else if(row_info_indx_reveal==2){ //Reveal Type (hint or feedback)
                            //get type and html content
                            const reveal_type_quest = reveal_type_div.getAttribute("data-reveal-type");
                            const textNodeFound = document.createTextNode(reveal_type_quest);
                            divContent_reveal.append(textNodeFound);
                            
                        }else if(row_info_indx_reveal==3){ //Reveal Content for hint or feedback
                            if(reveal_type_div){
                                Grab_Content(reveal_type_div,info_col_def_Reveal[row_info_indx_reveal],divContent_reveal);
                            }
                        }else if(row_info_indx_reveal==4){ //set icon
                            //find the i tag with the icon class
                            const reveal_type_sec = SearchChildrenFor([['tagName',"SECTION"],['class','reveal']],child);
                            let reveal_type_icon = "far fa-lightbulb";
                            if(reveal_type_sec){
                                const find_icon_i = SearchChildrenFor([['tagName',"DIV"],['data-reveal-type','feedback']],reveal_type_sec);
                                if(find_icon_i){
                                    // reveal_type_icon = (find_icon_i.classList.toString()).trim();
                                    reveal_type_icon = "far fa-check-square";
                                }
                            }
                            const textNode = document.createTextNode(reveal_type_icon);
                            divContent_reveal.append(textNode);
                        }
                        row_arr_reveal.push(divContent_reveal);
                    }
                    re_instruct_reveal.row_info_arrays.push(row_arr_reveal); 
                    re_instruct_sec_type.row_info_arrays.push(re_instruct_reveal);
                }
                //add the question instructObject to the satic instructObject
                instruct_obj.row_info_arrays.push(re_instruct_sec_type);
            }
        }
    }
    //OL with class 'ques-listing' can give the number of questions in the quiz
    //OL with class 'opt-listing' can give the number of options in the question
}