/**
 * Use [-COL-#] when there is information in the row_info_arrays
 * Use [-ROW_Num-] when there is information in the row_info_arrays to loop through and need to get the loop count
 * Use [SAR_settings-attr] when areObjectRIA is True
 * 
 * any dynamic class or attributes needed to be added can be done to the <div> info element, STRUCT parser will handle adding it and add it as child of previous element
 */
 const staticParts_Accords=[
    [
        ['DIV', 'title="HOLDER"'], //just to hold the full code after
        ['DIV','id="Accord-Grp-[SAR_activity-id]"','role="tablist"','aria-multiselectable="true"'],
        ['BUILD_INFO_ARRS'],
        ['/','DIV'],
        ['/','DIV']
    ]
];

const dynamicParts_Accords=[
    [//each accordion rounds D_0
        ['DIV','class="card rounded-0"','style="margin-bottom: 20px;"'],
        ['DIV','class="card-header"','role="tab"','id="heading-Grp-[-COL_0-]-[-COL_1-]"'],
        ['H3','class="card-heading"','style="margin-top: 0px; margin-bottom: 0px;"'],
        ['A','class="d-block"','data-toggle="collapse"','data-parent="#Accord-Grp-[-COL_0-]"','aria-expanded="true"','aria-controls="collapse-Grp-[-COL_0-]-[-COL_1-]"','href="#collapse-Grp-[-COL_0-]-[-COL_1-]"'],
        ['CREATE_TEXT_NODE','[-COL_2-]'],
        ['IMG','class="open_sign"','src="'+getLinkedURL('/assets/img/plus.svg')+'"','alt="Open Symbol"','style="margin-top: 10px;"'],
        ['/','IMG'],
        ['/','A'],
        ['/','H3'],
        ['/','DIV'],
        ['DIV','class="collapse"','role="tabpanel"','aria-labelledby="heading-Grp-[-COL_0-]-[-COL_1-]"','id="collapse-Grp-[-COL_0-]-[-COL_1-]"'],
        ['DIV','class="card-body advAcc-body clearfix"'],
        ['GET_CONTENT','[-COL_3-]'],
        ['/','DIV'],
        ['/','DIV'],
        ['/','DIV']
    ]
];

/**
 * Specify all the classes unique to <component-name> acitivities to pass along to the builder
 * const builder_class_:
 *      Find all element node that contains the class "....-Builder" -> will indicate the number of <component-name> builders on the page. Used to loop through each to and used as referenceNode to insertBefore
 * const parentCActivity_class_, const parentCActivity_title_: 
 *      Find the ancester element node that has class="CustomActivity" title of the <component-name> -> This is parentNode used as as reference to append code to
 * const buildtBody_class_:
 *      Find the child element with the class containing "....-Builder-Body" -> this contains all information need to build the <component-name> (headers, content, id etc.). this will be deleted after all content has been used up and built as camera ready html
 * const info_col_def_:
 *      Contains all the valid column indexes with content in it, if there is a column in the builder dedicated to ID then include ID as for the first col else is TEXT or MIXED
 * copy and set values for the const below and above the ---
 * -------------
const Custom_Activity_Identifier_="";
const parentCActivity_class_="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_="Advance-"+Custom_Activity_Identifier_;
const builder_class_="Advance-"+Custom_Activity_Identifier_+"-Builder";
const buildtBody_class_="Advance-"+Custom_Activity_Identifier_+"-Builder-Body";
const info_col_def_=[]; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.
 * -------------
 */

const Custom_Activity_Identifier_Accords="Accords";
const parentCActivity_class_Accords="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_Accords="Advance-"+Custom_Activity_Identifier_Accords;
const builder_class_Accords="Advance-TabAccords-Builder";
const buildtBody_class_Accords="Advance-TabAccords-Builder-Body";
const info_col_def_Accords=['TEXT','TEXT','MIXED']; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.