/**
 * Use [-COL-#] when there is information in the row_info_arrays
 * Use [-ROW_Num-] when there is information in the row_info_arrays to loop through and need to get the loop count
 * Use [SAR_settings-attr] when rareObjectRIA is True
 * 
 * any dynamic class or attributes needed to be added can be done to the <div> info element, STRUCT parser will handle adding it and add it as child of previous element
 */
const staticParts_MCTFQ=[ // Any mandatory parts that are needed for the components
    [ //mandatory code S_0
        ['DIV', 'title="HOLDER"'], //just to hold the full code after
        ['SECTION','class="PracticeQuiz"'],
        ['BUILD_INFO_ARRS'], //Loop in all instruction objects found in the row_info_arrays
        ['/','SECTION'],
        ['/','DIV']
    ],
    [// Code to build each MC or TF section S_1
        ['SECTION','class="multipleChoiceActivityContainer"'],
        ['BUILD_INFO_ARRS'],
        ['/','SECTION'],
        ['HR'],
        ['/','HR']
    ],
    [ //Code for the MC or TF or MS quiz questions and options container S_2
        ['SPAN','class="questionTitle"'],
        ['CREATE_TEXT_NODE','[-COL_2-]'],
        ['/','SPAN'],
        ['FORM'],
        ['OL'],
        ['BUILD_INFO_ARRS','[-COL_3-]'], //column contianing the options to build
        ['/','OL'],
        ['/','FORM']
    ],
    [//Code for each options for the quiz section question S_3
        ['LI','class="radioContainer"'],
        ['LABEL'],
        ['GET_CONTENT','[-COL_1-]'],
        ['INPUT','class="choice-text"', 'type="radio"', 'name="quiz"', 'value="[-COL_0-]"'],
        ['/','INPUT'],
        ['SPAN','class="customRadioSelector"'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['SPAN','class="feedback"'],
        ['/','SPAN'],
        ['/','LI']
    ],
    [// Code to build each MS section S_4
        ['SECTION','class="multipleSelectActivityContainer"'],
        ['BUILD_INFO_ARRS','R_0'],
        ['BUTTON','class="btn btn-primary btn-lg btn-block btn-submitMultipleSelectActivity"', 'type="button"', 'data-toggle="collapse"', 'data-target="#MSFeedbackTextArea"', 'aria-expanded="false"', 'aria-controls="MSFeedbackTextArea"'],
        ['CREATE_TEXT_NODE','Check Answer'],
        ['/','BUTTON'],
        ['DIV','class="collapse feedbackDiv-MultipleSelectActivity"','role="alert"','id="MSFeedbackTextArea"'],
        ['DIV','class="correctFeedback alert alert-success d-none"'],
        ['SPAN',' class="feedbackTextContent text-center"'],
        ['STRONG'],
        ['CREATE_TEXT_NODE','Correct!'],
        ['/','STRONG'],
        ['/','SPAN'],
        ['/','DIV'],
        ['DIV','class="incorrectFeedback alert alert-warning d-none"'],
        ['SPAN','class="feedbackTextContent text-center"'],
        ['STRONG'],
        ['CREATE_TEXT_NODE','Incorrect'],
        ['/','STRONG'],
        ['/','SPAN'],
        ['/','DIV'],
        ['/','DIV'],
        ['BUILD_INFO_ARRS','R_1'], //added for reveal if the instruct objec exist
        ['/','SECTION'],
        ['HR'],
        ['/','HR']
    ],
    [//Code for each options for the MS section question S_5
        ['LI','class="checkboxContainer"'],
        ['LABEL'],
        ['INPUT','class="choice-text"', 'type="checkbox"', 'name="quiz"', 'value="[-COL_0-]"'],
        ['/','INPUT'],
        ['SPAN'], //CheckBox Target span
        ['/','SPAN'],
        ['DIV','class="mcqProblemCheckboxContent"'],
        ['CREATE_TEXT_NODE','[-COL_1-]'],
        ['/','DIV'],
        ['/','LABEL'],
        ['SPAN','class="feedback"'],
        ['/','SPAN'],
        ['/','LI']
    ],
    [//Code for SA question S_6
        ['SPAN','class="questionTitle"'],
        ['GET_CONTENT','[-COL_2-]'],
        ['/','SPAN']
    ],
    [//Code to build SA S_7
        ['SECTION','class="answerTextInputActivityContainer"'],
        ['DIV','class="questionContainer"'],
        ['BUILD_INFO_ARRS','R_0'],
        ['LABEL','for="answerTextarea"', 'class="answerActivityTextareaLabel"'],
        ['TEXTAREA','id="answerTextarea"', 'class="form-control answerActivityTextarea"', 'placeholder="Answer Text..."'],
        ['/','TEXTAREA'],
        ['/','LABEL'],
        ['/','DIV'],
        ['LABEL','for="answerFileName"', 'class="answerActivityFileNameInputLabel"'],
        ['CREATE_TEXT_NODE','Specify a filename to save your answer: '],
        ['DIV','class="has-validation inlineBlockInputField"'],
        ['INPUT','type="text"','id="answerFileName"', 'aria-describedby="inputGroupPrepend"', 'class="form-control answerActivityFileNameInput"', 'required=""'],
        ['/','INPUT'],
        ['DIV','class="invalid-feedback"'],
        ['CREATE_TEXT_NODE','Please provide a filename.'],
        ['/','DIV'],
        ['/','DIV'],
        ['CREATE_TEXT_NODE','.txt'],
        ['/','LABEL'],
        ['BUTTON','type="submit"', 'class="btn btn-primary btn-lg btn-block btn-downloadAnswerText"'],
        ['CREATE_TEXT_NODE','Export Answers as Text File'],
        ['/','BUTTON'],
        ['BUILD_INFO_ARRS','R_1'], //added for reveal if the instruct objec exist
        ['/','SECTION'],
        ['HR'],
        ['/','HR']
    ],
    [// Code to build each RA section S_8
        ['SECTION', 'class="DragNDropReorderActivityContainer"'],
        ['BUILD_INFO_ARRS','R_0'],
        ['DIV','class="DragNDropReorderActivityRoot"','id="DragNDropReorderActivityRoot"'],
        ['/','DIV'],
        ['BUTTON','class="btn btn-primary btn-lg btn-block btn-submitDragNDropReorderActivity"', 'type="button"'],
        ['CREATE_TEXT_NODE','Check Order'],
        ['/','BUTTON'],
        ['BUILD_INFO_ARRS','R_1'], //added for reveal if the instruct objec exist
        ['/','SECTION']
    ],
    [// Code to build RA question and options S_9
        ['SPAN','class="questionTitle"'],
        ['CREATE_TEXT_NODE','[-COL_2-]'],
        ['/','SPAN'],
        ['DIV','class="dragNDropReorderList"'], //Code to build the RA Reorder ans list
        ['UL'],
        ['BUILD_INFO_ARRS','[-COL_3-]'], //column contianing the options to build
        ['/','UL'],
        ['/','DIV']
    ],
    [// RA List items S_10
        ['LI'],
        ['CREATE_TEXT_NODE','[-COL_1-]'],
        ['/','LI']
    ]
];

const dynamicParts_MCTFQ=[ // Based on configurations or settings
    [ //Fixed Panel. Used when building out the code to copy from the quiz builder D_0
        ['DIV','class="card"'],
        ['DIV','class="card-header"'],
        ['H3','class="card-heading"'],
        ['CREATE_TEXT_NODE','[SAR_panel-text]'], //Panel title comes from the settings arr 'panel-text'
        ['/','H3'],
        ['/','DIV'],
        ['DIV','class="card-body clearfix"'],
        ['BUILD_INFO_ARRS'],
        ['/','DIV'],
        ['/','DIV']
    ],
    [ //Collapsible Panel. Used when building out the code to copy from the quiz builder D_1
        ['DIV','class="accordion"', 'id="accordion[SAR_activity-id]"'], //get ID to concatenate from settings arr 'activity_id'
        ['DIV','class="card"'],
        ['DIV','class="card-header"','id="heading[SAR_activity-id]"'],
        ['H3','class="card-heading"'],
        ['A','data-toggle="collapse"','aria-controls="collapse[SAR_activity-id]"','class="d-block"','data-target="#collapse[SAR_activity-id]"'],
        ['CREATE_TEXT_NODE','[SAR_panel-text]'], //Panel title comes from the settings arr 'panel-text'
        ['I','style="cursor:pointer;float:right;"', 'class="fa fa-chevron-down"', 'aria-hidden="true"'],
        ['/','I'],
        ['/','A'],
        ['/','H3'],
        ['/','DIV'],
        ['DIV','id="collapse[SAR_activity-id]"','class="collapse"','aria-labelledby="heading[SAR_activity-id]"','data-parent="#accordion[SAR_activity-id]"'],
        ['DIV','class="card-body clearfix"'],
        ['BUILD_INFO_ARRS'],
        ['/','DIV'],
        ['/','DIV'],
        ['/','DIV'],
        ['/','DIV']
    ],
    [ // Reveal section D_2
        ['SECTION','class="reveal"'],
        ['BUTTON','type="button"','class="btn btn-danger hint-answer-right"','style="padding: 5px 10px;"','data-toggle="collapse"','href="#reveal-[-COL_1-][-COL_0-]"','aria-expanded="false"','aria-controls="reveal-[-COL_1-][-COL_0-]"'],
        ['I','class="[-COL_4-]" aria-hidden="true"'],
        ['/','I'],
        ['CREATE_TEXT_NODE','&nbsp;'],
        ['CREATE_TEXT_NODE','[-COL_2-]'],
        ['/','BUTTON'],
        ['DIV','class="clearfloat"'],
        ['/','DIV'],
        ['DIV','id ="reveal-[-COL_1-][-COL_0-]"','class="collapse"'],
        ['DIV','class="hint-answer clearfix"'],
        ['GET_CONTENT','[-COL_3-]'],
        ['/','DIV'],
        ['/','DIV'],
        ['/','SECTION']
    ],
];

/**
 * Specify all the classes unique to <component-name> acitivities to pass along to the builder
 * const builder_class_MCTFQ:
 *      Find all element node that contains the class "....-Builder" -> will indicate the number of <component-name> builders on the page. Used to loop through each to and used as referenceNode to insertBefore
 * const parentCActivity_class_MCTFQ, const parentCActivity_title_MCTFQ: 
 *      Find the ancester element node that has class="CustomActivity" title of the <component-name> -> This is parentNode used as as reference to append code to
 * const info_col_def_MCTFQ:
 *      Contains all the valid column indexes with content in it, if there is a column in the builder dedicated to ID then include ID as for the first col else is TEXT or MIXED
 * copy and set values for the const below and above the ---
 * -------------
const Custom_Activity_Identifier_MCTFQ="";
const parentCActivity_class_MCTFQ="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_MCTFQ="Advance-"+Custom_Activity_Identifier_MCTFQ;
const builder_class_MCTFQ="Advance-"+Custom_Activity_Identifier_MCTFQ+"-Builder";
const info_col_def_MCTFQ=[]; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.
 * -------------
 */

const Custom_Activity_Identifier_MCTFQ="MCTFQ";
const parentCActivity_class_MCTFQ="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_MCTFQ="Advance-"+Custom_Activity_Identifier_MCTFQ;
const builder_class_MCTFQ="Advance-"+Custom_Activity_Identifier_MCTFQ+"-Editor";
const info_col_def_MCTFQ=['TEXT','TEXT','MIXED','OBJECT']; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.
const info_col_def_Reveal=['TEXT','TEXT','TEXT','MIXED','TEXT']; //define the type of informatioln for the reveal section