/**
 * Use [-COL-#] when there is information in the row_info_arrays
 * Use [-ROW_Num-] when there is information in the row_info_arrays to loop through and need to get the loop count
 * Use [SAR_settings-attr] when areObjectRIA is True
 * 
 * any dynamic class or attributes needed to be added can be done to the <div> info element, STRUCT parser will handle adding it and add it as child of previous element
 */
const staticParts_QB=[
    [ // S_0
        ['DIV', 'title="HOLDER"'], //just to hold the full code after 
        ['BUILD_INFO_ARRS'], //carousel(if need) and loop in question container
        ['/','DIV']
    ],
    [ // S_1 question form-group-holder (fgh) container
        ['DIV','class="form-group-holder [SAR_carousel-item] [SAR_is-active]"','data-question-num="[SAR_question-num]"'], //option to add carousel-item  and if active
        ['BUILD_INFO_ARRS','R_0'], //loop in question type, question text & question options & reveal(if needed), instruction object found in index row 0 of row_info_array
        ['DIV','class="form-check"', 'name="question-answer"'],
        ['LABEL','for="q[SAR_question-num]optionValue"'],
        ['P'],
        ['CREATE_TEXT_NODE','The Correct Option(s): '],
        ['SPAN','class="xclam-hide"'],
        ['I','class="fas fa-exclamation-circle"'],
        ['/','I'],
        ['/','SPAN'],
        ['/','P'],
        ['/','LABEL'],
        ['BUILD_INFO_ARRS','R_1'], //loop in option answers, instructions object found in index row 1 of row_info_array
        ['SPAN','id="q[SAR_question-num]optionValue-isInValAlert"','role="alert"','class="sr-only"'],
        ['/','SPAN'],
        ['/','DIV'],
        ['DIV','class="form-check"', 'name="question-random"'],
        ['LABEL','for="q[SAR_question-num]RNDQ"'],
        ['P'],
        ['CREATE_TEXT_NODE','Randomize the options order:'],
        ['/','P'],
        ['/','LABEL'],
        ['BUILD_INFO_ARRS','R_2'], //loop in question for random options
        ['/','DIV'],
        ['H3','class="ques-title"'],
        ['CREATE_TEXT_NODE','Question [SAR_question-num] Settings'],
        ['/','H3'],
        ['DIV','class="clearfloat"'],
        ['/','DIV'],
        ['/','DIV']
    ],
    [ // S_2 question text
        ['DIV','class="form-group row"'],
        ['LABEL','for="q[SAR_question-num]questTitle"','class="col-form-label"'],
        ['P'],
        ['CREATE_TEXT_NODE','Question [SAR_question-num] Text:'],
        ['/','P'],
        ['/','LABEL'],
        ['INPUT',' type="text"','class="form-control"','id="q[SAR_question-num]questTitle"','autocomplete="off"','aria-describedby="q[SAR_question-num]questTitle-isInValAlert"','required="required"'],
        ['/','INPUT'],
        ['SPAN','id="q[SAR_question-num]questTitle-isInValAlert"','role="alert"','class="sr-only"'],
        ['/','SPAN'],
        ['/','DIV']
    ],
    [ // S_3 options input code
        ['DIV','class="form-group row quest-option"'],
        ['LABEL','for="q[SAR_question-num]optionText[SAR_option-num]"','class="col-form-label"'],
        ['P'],
        ['CREATE_TEXT_NODE','Option [SAR_option-num] Text:'],
        ['/','P'],
        ['/','LABEL'],
        ['INPUT','type="text"','class="form-control"','id="q[SAR_question-num]optionText[SAR_option-num]"','autocomplete="off"','aria-describedby="q[SAR_question-num]option[SAR_option-num]HelpBlock"'],
        ['/','INPUT'],
        ['SPAN','id="q[SAR_question-num]option[SAR_option-num]HelpBlock"','class="text-muted"'],
        ['CREATE_TEXT_NODE','Option [SAR_option-num] text can be left blank to intentionally omit it as an option for the question.'],
        ['/','SPAN'],
        ['/','DIV']
    ],
    [ // S_4 options correct answer code
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio"','name="q[SAR_question-num]optionValue"','value="[SAR_option-num]"','required="required"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','[SAR_option-num]'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' is the correct option'],
        ['/','SPAN'],
        ['/','LABEL']
    ],
    [ // S_5 Randomize the options code
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio"','name="q[SAR_question-num]RNDQ"','value="Yes"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Yes'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Randomize option order.'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio"','name="q[SAR_question-num]RNDQ"','value="No"','checked="checked"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','No'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Do not randomize option order.'],
        ['/','SPAN'],
        ['/','LABEL']
    ],
    [ // S_6 Question Type
        ['DIV','class="form-check"','name="question-type"'],
        ['LABEL','for="q[SAR_question-num]queType"'],
        ['P'],
        ['CREATE_TEXT_NODE','Question Type:'],
        ['/','P'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio quest-type"','name="q[SAR_question-num]queType"','value="mc"','checked="checked"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Multiple Choice'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Question Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio quest-type"','name="q[SAR_question-num]queType"','value="ms"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Multi-Select'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Question Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio quest-type"','name="q[SAR_question-num]queType"','value="ra"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Reorder Activity'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Question Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio quest-type"','name="q[SAR_question-num]queType"','value="tf"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','True or False'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Question Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio quest-type"','name="q[SAR_question-num]queType"','value="sa"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Short Answer'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Question Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['/','DIV']
    ]
];

const dynamicParts_QB=[
    [ // D_0 panel title
        ['DIV','class="form-group row panel-text"'],
        ['LABEL','for="panel-title"','class="col-form-label"'],
        ['P'],
        ['CREATE_TEXT_NODE','Panel Title:'],
        ['/','P'],
        ['/','LABEL'],
        ['INPUT','type="text"','class="form-control"','id="panel-title"','autocomplete="off"'],
        ['/','INPUT'],
        ['/','DIV']
    ],
    [ // D_1 customize carousel
        ['DIV','id="questionConfigSlider"','class="carousel slide"','data-interval="false"','data-wrap="false"'],
        ['DIV','class="carousel-inner"'],
        ['BUILD_INFO_ARRS'],
        ['/','DIV'],
        ['A','class="carousel-control-prev"','href="#questionConfigSlider"','role="button"','data-slide="prev"'],
        ['SPAN','class="carousel-control-prev-icon"','aria-hidden="true"'],
        ['/','SPAN'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE','Previous'],
        ['/','SPAN'],
        ['/','A'],
        ['A','class="carousel-control-next"','href="#questionConfigSlider"','role="button"','data-slide="next"'],
        ['SPAN','class="carousel-control-next-icon"','aria-hidden="true"'],
        ['/','SPAN'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE','Next'],
        ['/','SPAN'],
        ['/','A'],
        ['/','DIV']
    ],
    [ // D_2 reveal
        ['DIV','class="form-check"','name="reveal-YesNo"'],
        ['LABEL','for="q[SAR_question-num]inclReveal"'],
        ['P'],
        ['CREATE_TEXT_NODE','Include hint or feedback type for each question:'],
        ['/','P'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio reveal"','name="q[SAR_question-num]inclReveal"','value="yes"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Yes'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Include hint or feedback'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio reveal"','name="q[SAR_question-num]inclReveal"','value="no"','checked="checked"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','No'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Do not include hint or feedback'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['/','DIV'],
        ['DIV','class="form-check"','name="reveal-type"','style="display: none;"'],
        ['LABEL','for="q[SAR_question-num]revealType"'],
        ['P'],
        ['CREATE_TEXT_NODE','Reveal Type:'],
        ['/','P'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio"','name="q[SAR_question-num]revealType"','data-icon-type="far fa-lightbulb"','value="hint"','checked="checked"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Hint'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Reveal Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['LABEL','class="radio-inline gen-label"'],
        ['INPUT','type="radio"','class="gen-radio"','name="q[SAR_question-num]revealType"','data-icon-type="far fa-check-square"','value="feedback"'],
        ['/','INPUT'],
        ['CREATE_TEXT_NODE','Feedback'],
        ['SPAN','class="sr-only"'],
        ['CREATE_TEXT_NODE',' Reveal Type'],
        ['/','SPAN'],
        ['/','LABEL'],
        ['/','DIV'],
        ['DIV','class="form-group row"','name="reveal-text"','style="display: none;"'],
        ['LABEL','for="q[SAR_question-num]revealText"','class="col-form-label"'],
        ['P'],
        ['CREATE_TEXT_NODE','Reveal [SAR_question-num] Text:'],
        ['/','P'],
        ['/','LABEL'],
        ['INPUT','type="text"','class="form-control"','id="q[SAR_question-num]revealText"','autocomplete="off"'],
        ['/','INPUT'],
        ['/','DIV']
    ]
];

const loopBuild_QB=[
    [ // L_0
        ['BUILD_INFO_ARRS'] //for looping of objects or arrays without any prior code
    ]
];

const staticParts_QB_embed=[
    [ // SE_0 Main custom acitivity holder
        ['DIV', 'title="HOLDER"'], //just to hold the full code after
        ['CREATE_CMT_NODE','<!-- Start of the Quiz Component -->'],
            ['DIV','class="CustomActivity"','title="Advance-MCTFQ"','contenteditable="false"'],
                ['SPAN','class="sr-only only-on-edit"'],
                ['CREATE_TEXT_NODE','Interactive Quiz Components Selected.'],
                ['/','SPAN'],
                ['DIV','class="card only-on-edit"'],
                    ['DIV','class="card-header clearfix"'],
                        ['P','class="card-heading"'],
                        ['CREATE_TEXT_NODE','Information Card: Interactive Quiz Component'],
                        ['SPAN','style="float: right;"'],
                        ['CREATE_TEXT_NODE','Edit HTML mode: ON&nbsp;'],
                        ['I','class="far fa-edit fa-lg mark-as-ooe"'],
                        ['/','I'],
                        ['/','SPAN'],
                        ['/','P'],
                    ['/','DIV'],
                    ['DIV','class="card-body clearfix"'],
                        ['P','contenteditable="false"'],
                        ['STRONG'],
                        ['CREATE_TEXT_NODE','Note:&nbsp;'],
                        ['/','STRONG'],
                        ['CREATE_TEXT_NODE','This icon&nbsp;'],
                        ['I','class="far fa-edit fa-lg"'],
                        ['/','I'],
                        ['CREATE_TEXT_NODE','indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible to the students.'],
                        ['/','P'],
                        ['FIGURE','class="figure"','style="float: right;"','contenteditable="false"'],
                        ['IMG','src= "'+getLinkedURL('/assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif')+'"','class="figure-img img-fluid rounded"','style="max-width: 95%;"','alt="right click link to open in new tab or window"'], /**** Needs to be an absolute path when ready to publish _setPath **/
                        ['/','IMG'],
                        ['FIGCAPTION','class="figure-caption"'],
                        ['I','class="far fa-lightbulb"'],
                        ['/','I'],
                        ['CREATE_TEXT_NODE','Tip: Right click to open any link while in Edit Mode'],
                        ['/','FIGCAPTION'],
                        ['/','FIGURE'],
                        ['P','contenteditable="false"'],
                        ['BR'],
                        ['/','BR'],
                        ['I','class="far fa-question-circle fa-lg"','style=" margin: 5px 10px 0px 0px;"'],
                        ['/','I'],
                        ['CREATE_TEXT_NODE','For Helpful Tips and Information on how to&nbsp;'],
                        ['B'],
                        ['CREATE_TEXT_NODE','Edit, Customize, Copy, Delete,&nbsp;'],
                        ['/','B'],
                        ['CREATE_TEXT_NODE','please visit the&nbsp;'],
                        ['A','rel="noopener"','href= "'+getLinkedURL('/assets/advInteractives_pkg/html/Info-Card-Quiz.html')+'"','target="_blank"','contenteditable="true"'], /**** Needs to be an absolute path when ready to publish _setPath **/
                        ['U'],
                        ['CREATE_TEXT_NODE','Quick Start Guide'],
                        ['/','U'],
                        ['/','A'],
                        ['CREATE_TEXT_NODE','&nbsp;page for this component by simply right clicking on the "Quick Start Guide" link text and then selecting open in a new tab or window.'],
                        ['/','P'],
                    ['/','DIV'],
                ['/','DIV'],
                ['DIV','class="Advance-MCTFQ-Editor"'],
                    ['BUILD_INFO_ARRS','R_0'], //LOOP IN QUESTION SECTION
                    ['SECTION','class="main-settings"'],
                        ['H2','class="only-on-edit"'],
                        ['CREATE_TEXT_NODE','Quiz Settings'],
                        ['/','H2'],
                        ['P','class="only-on-edit"'],
                        ['CREATE_TEXT_NODE','The following setting(s) are available, please type response in the following space provided:'],
                        ['/','P'],
                        ['DIV','class="component-settings only-on-edit"'],
                            ['OL','class="settings-list"'],
                            ['BUILD_INFO_ARRS','R_1'], //LOOP IN MAIN SETTINGS OPTIONS
                            ['/','OL'],
                        ['/','DIV'],
                    ['/','SECTION'],
                ['/','DIV'],
            ['/','DIV'],
            ['P'],
            ['SPAN','class="only-on-edit"'],
            ['BR'],
            ['/','BR'],
            ['/','SPAN'],
            ['/','P'],
        ['CREATE_CMT_NODE','<!-- End of the Quiz Component -->'],
        ['/','DIV']
    ],
    [ // SE_1 Question Section
        ['SECTION','class="new-question"','data-question-type="[SAR_question-type]"'],
            ['DIV','class="only-on-edit-panel"'],
                ['BUILD_INFO_ARRS','R_0'], //LOOP IN QUESTIONS TEXT, OPTIONS SECTION AND (IF) REVEAL
                ['SECTION','class="sub-settings"'],
                    ['BUILD_INFO_ARRS','R_1'], //LOOP IN QUESTION SETTINGS
                ['/','SECTION'],
            ['/','DIV'],
        ['/','SECTION']
    ],
    [ // SE_2 Option Section
        ['OL','class="opt-listing"'],
        ['BUILD_INFO_ARRS'], //LOOP IN OPTIONS
        ['/','OL']
    ],
    [ // SE_3 Loop in Question Setting
        ['H3','class="only-on-edit"'],
        ['CREATE_TEXT_NODE','Question Settings'],
        ['/','H3'],
        ['P','class="only-on-edit"'],
        ['CREATE_TEXT_NODE','The following setting(s) are available, please type response in the following space provided:'],
        ['/','P'],
        ['DIV','class="component-settings only-on-edit"'],
        ['OL','class="settings-list"'],
        ['BUILD_INFO_ARRS'], //LOOP IN Settings
        ['/','OL'],
        ['/','DIV']
    ]
];

const dynamicParts_QB_embed=[
    [ // DE_0 Loop in Main Settings Options
        ['LI'],
            ['SPAN','id="[SAR_activity-id]-s1-mains"'],
            ['CREATE_TEXT_NODE','Randomize the questions when the page is loaded or refreshed by the learner?&nbsp;'],
            ['SPAN','class="sr-only only-on-edit"'],
            ['CREATE_TEXT_NODE','Type y for yes or n for no.&nbsp;'],
            ['/','SPAN'],
            ['/','SPAN'],
            ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s1-mains"','data-setting-type="randomize-me"'],
            ['CREATE_TEXT_NODE','&nbsp;[SAR_randomize-me]'],
            ['/','SPAN'],
        ['/','LI'],
        ['LI'],
            ['SPAN','id="[SAR_activity-id]-s2-mains"'],
            ['CREATE_TEXT_NODE','Insert Quiz Questions inside a Panel?'],
            ['SPAN','class="sr-only only-on-edit"'],
            ['CREATE_TEXT_NODE','Type y for yes or n for no.&nbsp;'],
            ['/','SPAN'],
            ['/','SPAN'],
            ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s2-mains"','data-setting-type="panel-add"'],
            ['CREATE_TEXT_NODE','&nbsp;[SAR_panel-add]'],
            ['/','SPAN'],
        ['/','LI'],
        ['LI'],
            ['SPAN','id="[SAR_activity-id]-s3-mains"'],
            ['CREATE_TEXT_NODE','Make Panel Collapsible?&nbsp;'],
            ['SPAN','class="sr-only only-on-edit"'],
            ['CREATE_TEXT_NODE','Type y for yes or n for no.&nbsp;'],
            ['/','SPAN'],
            ['/','SPAN'],
            ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s3-mains"','data-setting-type="panel-collapse"'],
            ['CREATE_TEXT_NODE','&nbsp;[SAR_panel-collapse]'],
            ['/','SPAN'],
        ['/','LI'],
        ['LI'],
            ['SPAN','id="[SAR_activity-id]-s4-mains"'],
            ['CREATE_TEXT_NODE','Panel Title?&nbsp;'],
            ['SPAN','class="sr-only only-on-edit"'],
            ['CREATE_TEXT_NODE','Type the title of the panel.&nbsp;'],
            ['/','SPAN'],
            ['/','SPAN'],
            ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s4-mains"','data-setting-type="panel-text"'],
            ['CREATE_TEXT_NODE','&nbsp;[SAR_panel-text]'],
            ['/','SPAN'],
        ['/','LI']
    ],
    [ // DE_1 Loop in Question Text
    ['P','class="question-text"'],
        ['SPAN','class="only-on-edit"','id="[SAR_activity-id]-txt-q[SAR_question-num]"'],
        ['CREATE_TEXT_NODE','Question [SAR_question-num] text:&nbsp;'],
        ['/','SPAN'],
        ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','data-question-part="quest-text"','aria-labelledby="[SAR_activity-id]-txt-q[SAR_question-num]"'],
        ['CREATE_TEXT_NODE','&nbsp;[SAR_question-text]'],
        ['/','SPAN'],
        ['/','P']
    ],
    [ // DE_2 Loop in Options
        ['LI'],
            ['LABEL','class="set-as-pointer"','style="cursor: auto;"'],
            ['INPUT','type="radio"','style="display: none;"','name="Quiz Option"'],
            ['/','INPUT'],
            ['SPAN','class="only-on-edit"','id="[-COL_0-]-opt[-ROW_Num-]-q[-COL_1-]"'],
            ['CREATE_TEXT_NODE','Question [-COL_1-] option [-ROW_Num-] text:&nbsp;'],
            ['/','SPAN'],
            ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','data-question-part="option-text"','aria-labelledby="[-COL_0-]-opt[-ROW_Num-]-q[-COL_1-]"'],
            ['CREATE_TEXT_NODE','&nbsp;[-COL_2-]'],
            ['/','SPAN'],
            ['/','LABEL'],
        ['/','LI']
    ],
    [ // DE_3 (If need) Loop in Reveal Section
        ['SECTION','class="reveal"'],
            ['BUTTON','type="button"','class="btn btn-danger hint-answer-right set-as-pointer"','style="padding: 5px 10px; cursor: auto;"','data-toggle="collapse"','href="#[SAR_activity-id]answer1"'],
            ['I','class="[SAR_reveal-icon]"','aria-hidden="true"'],
            ['/','I'],
            ['CREATE_TEXT_NODE','&nbsp;[SAR_reveal-type]'],
            ['/','BUTTON'],
            ['DIV','class="clearfloat"'],
            ['/','DIV'],
            ['DIV','id="[SAR_activity-id]answer1"','class="collapse advAccord show"','contenteditable="true"'],
            ['DIV','class="hint-answer clearfix"','style="padding: 20px; border: 1px dashed #000000; border-radius: 4px;"','data-reveal-type="[SAR_reveal-type]"'],
            ['P'],
            ['STRONG'],
            ['CREATE_TEXT_NODE','[SAR_reveal-type] :&nbsp;'],
            ['/','STRONG'],
            ['CREATE_TEXT_NODE','[SAR_reveal-text]'],
            ['/','P'],
            ['/','DIV'],
            ['/','DIV'],
        ['/','SECTION']
    ],
    [ //DE_4 (if need) Loop in answer-me list item
        ['LI'],
        ['SPAN','id="[SAR_activity-id]-s1-q[SAR_question-num]"'],
        ['CREATE_TEXT_NODE','Question [SAR_question-num] Answer:&nbsp;'],
        ['SPAN','class="sr-only only-on-edit"'],
        ['CREATE_TEXT_NODE','Type option number for the correct answer.&nbsp;'],
        ['/','SPAN'],
        ['/','SPAN'],
        ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s1-q[SAR_question-num]"','data-setting-type="answer-me"'],
        ['CREATE_TEXT_NODE','&nbsp;[SAR_answer-me]'],
        ['/','SPAN'],
        ['/','LI']
    ],
    [ //DE_5 (if need) Loop in Randomize-me list item
        ['LI'],
        ['SPAN','id="[SAR_activity-id]-s2-q[SAR_question-num]"'],
        ['CREATE_TEXT_NODE','Randomize the options when the page is loaded or refreshed by the learner?&nbsp;'],
        ['SPAN','class="sr-only only-on-edit"'],
        ['CREATE_TEXT_NODE','Type y for yes or n for no.&nbsp;'],
        ['/','SPAN'],
        ['/','SPAN'],
        ['SPAN','class="edit-able"','contenteditable="true"','role="textarea"','aria-labelledby="[SAR_activity-id]-s2-q[SAR_question-num]"','data-setting-type="randomize-me"'],
        ['CREATE_TEXT_NODE','&nbsp;[SAR_randomize-me]'],
        ['/','SPAN'],
        ['/','LI']
    ]
];

/**
 * Specify all the classes unique to <component-name> acitivities to pass along to the builder
 * const builder_class_:
 *      Find all element node that contains the class "....-Builder" -> will indicate the number of <component-name> builders on the page. Used to loop through each to and used as referenceNode to insertBefore
 * const parentCActivity_class_, const parentCActivity_title_: 
 *      Find the ancester element node that has class="CustomActivity" title of the <component-name> -> This is parentNode used as as reference to append code to
 * const buildtBody_class_:
 *      Find the child element with the class containing "....-Builder-Body" -> this contains all information need to build the <component-name> (headers, content, id etc.). this will be deleted after all content has been used up and built as camera ready html
 * const info_col_def_:
 *      Contains all the valid column indexes with content in it, if there is a column in the builder dedicated to ID then include ID as for the first col else is TEXT or MIXED
 * copy and set values for the const below and above the ---
 * -------------
const Custom_Activity_Identifier_QB="";
const parentCActivity_class_QB="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_QB="Advance-"+Custom_Activity_Identifier_;
const builder_class_QB="Advance-"+Custom_Activity_Identifier_+"-Builder";
const buildtBody_class_QB="Advance-"+Custom_Activity_Identifier_+"-Builder-Body";
const info_col_def_QB=[]; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.
 * -------------
 */

const Custom_Activity_Identifier="QBuilder";
const parentCActivity_class_QB="CustomActivity"; //default is CustomActivity to identify any advanced interactives, change if something else
const parentCActivity_title_QB="Advance-"+Custom_Activity_Identifier;
const builder_class_QB="Advance-"+Custom_Activity_Identifier+"-Builder";
const buildtBody_class_QB="Advance-"+Custom_Activity_Identifier+"-Builder-Body";
const info_col_def_QB=[]; //define the type of information found in the builder. ID will be added automatically as index 0 if not found in the builder.

let optCount = 4; //default number of MC Options per question
let questCount = 1; //default number of questions per page
let main_settings_map;
let questions_array;
let qaID;
let panelAdd = true;

function clear_all_invalid(){
    //for each element with the is-invalid remove
    const is_invalid_ele = document.getElementsByClassName("is-invalid");
    const ele_count = is_invalid_ele.length;
    for(let i=0; i<ele_count; i++){
      //remove the this invalid class
      is_invalid_ele[0].classList.remove("is-invalid");
    }
  
    const is_rchk_invalid_ele = document.getElementsByClassName("is-rchk-invalid");
    const rchk_ele_count = is_rchk_invalid_ele.length;
    for(let i=0; i<rchk_ele_count; i++){
      //remove the this invalid class
      is_rchk_invalid_ele[0].classList.remove("is-rchk-invalid");
    }
  
    const is_xclam_show_ele = document.getElementsByClassName("xclam-show");
    const xclam_show_ele_count = is_xclam_show_ele.length;
    for(let i=0; i<xclam_show_ele_count; i++){
      //remove the this exclam-show class
      is_xclam_show_ele[0].classList.add("xclam-hide");
      is_xclam_show_ele[0].classList.remove("xclam-show");
    }
  
    //clear all ids with role='alert' content that contains -isInValAlert
    const is_isInValAlert_ele = document.querySelectorAll('[role="alert"');
    const isInValAlert_ele_count = is_isInValAlert_ele.length;
    for(let i=0; i<isInValAlert_ele_count; i++){
      //check to see if id contains -isInValAlert
      if((is_isInValAlert_ele[i].id).includes("-isInValAlert")){
        $("#"+is_isInValAlert_ele[i].id).empty();
      }
    }
  }