(function(){
    try{
        setTargetIDs();
    }catch(err){
    }
})();

//Set all the IDs and targets for the Multi Target components to make sure they are unique
/**
 * Get all the elements with title="Advance-MulTargs"
 * generate unique id based on RNDID-multi-collapse-#
 * For buttons, add data-target = #RNDID-multi-collapse-# and aria-controls = RNDID-multi-collapse-#, and also the double with data-target = .RNDID-multi-collapse, aria-controls to both ids
 * for each div containing collapse and advAccord, need to add the class RNDID-multi-collapse and also set id to RNDID-mult-collapse-#
 */
function setTargetIDs(){

    const listOfEle = document.getElementsByClassName("CustomActivity");
    //for each activity only find the ones that have the title Advance-MulTargs
    if (listOfEle.length > 0){
        let i;
        let y;
        for (i = 0; i < listOfEle.length; i++) {
            for (y = 0; y < listOfEle[i].attributes.length; y++) {
                const RNDID = getMTRNDid();
                if (listOfEle[i].attributes[y].name == 'title'){
                    //check to see if title is Advance-MulTargs
                    if (listOfEle[i].attributes[y].value == 'Advance-MulTargs'){
                        //get all element children of interest
                        let j;
                        for (j = 0; j < listOfEle[i].children.length; j++) {
                            const childEle = listOfEle[i].children[j];
                            if(childEle.tagName == "P" && childEle.className=="mul-targs-btns"){ //p child with class="mul-targs-btns"
                                let k;
                                for (k = 0; k < childEle.children.length; k++) { //add required attributes to the child buttons
                                    const childBTN = childEle.children[k];
                                    if(k==2){
                                        childBTN.setAttribute("data-target",".MT"+RNDID+"-collapse");
                                        childBTN.setAttribute("aria-controls","MT"+RNDID+"-collapse-1 MT"+RNDID+"-collapse-2");
                                    }else{
                                        childBTN.setAttribute("data-target","#MT"+RNDID+"-collapse-"+(k+1));
                                        childBTN.setAttribute("aria-controls","MT"+RNDID+"-collapse-"+(k+1));
                                    }
                                }
                            }else if(childEle.tagName == "DIV" && childEle.className=="row"){ //div child with class="row", it's child with div class="col", it's child with div containing class = "collapse advAccord"
                                let k;
                                for (k = 0; k < childEle.children.length; k++) { //add required attributes to the child buttons
                                    const childCOL = childEle.children[k];
                                    let l;
                                    for (l = 0; l < childCOL.children.length; l++) { //add required attributes to the child buttons
                                        const childCOLLAPSE = childCOL.children[l];
                                        if(childCOLLAPSE.classList.contains("collapse") && childCOLLAPSE.classList.contains("advAccord")){
                                            childCOLLAPSE.classList.add("MT"+RNDID+"-collapse");
                                            childCOLLAPSE.id="MT"+RNDID+"-collapse-"+(k+1);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

function getMTRNDid(){
    const uName = '' + Math.random().toString(36).substring(2,9); //default unique name is random gen
    return uName;
}