(function(){
   //console.log("Loading TabAccords js");
    try{
        buildTabsAccordions();
    }catch(err){
       //console.log("Error from function: buildTabsAccordions, error msg: "+err.message);
    }
})();
//Build any tab components
/**
 * Find all elements with the class = Advance-TabAccords-Builder-Body -> this contains all information for the tabs (number, name of tab, contents)
 * Find the ancester element node that contains the class Advance-TabAccords-Builder -> will be the referenceNode to insertBefore
 * Find the ancester element node that has title = Advance-TabAccords ->will be the parentNode
 */
 function buildTabsAccordions(){
    var listOfEle = document.getElementsByClassName("Advance-TabAccords-Builder-Body");
   //console.log("Number of TabAccords Groups found: "+listOfEle.length);
    var listOfEleCount = 0;
    if (listOfEle!=null){
        listOfEleCount = listOfEle.length;
    }
    var i=0;
   //console.log("Number of Tab or Accords Groups found: "+listOfEleCount);
    while(listOfEleCount > 0){ //for each tab group found, wrap tab code and insert
        
        var pNodeDIV; //contains the the parentNode with title = Advance-Tabs/Accords
        var rNodeDIV; //contains the reference node with class = Advance-TabAccords-Builder
        var tGroupNode; //contains the element contians all the tabs information for the tab group
        var eleCType; //take in the title to see if title = Advance-Tabs/Accords
        var gID = getRNDid();

        tGroupNode = listOfEle[i];
        rNodeDIV = tGroupNode.closest(".Advance-TabAccords-Builder");
        if (rNodeDIV != null){
           //console.log("Found closet parent with class Advance-TabAccords-Builder: "+rNodeDIV.className);
            pNodeDIV = rNodeDIV.closest(".CustomActivity"); //this has to exist as this controls the javascript that gets loaded for this function
            eleCType = pNodeDIV.getAttribute("title");
            if(eleCType != null){
               //console.log("Found closet parent with class Advance-Tabs/Accords title: "+ eleCType);
                if (eleCType=="Advance-Tabs"){
                    wrapWithTab(pNodeDIV,rNodeDIV,tGroupNode,gID);
                }else{
                    wrapWithAccord(pNodeDIV,rNodeDIV,tGroupNode,gID);
                }
                
            }else{
                //advance i to the next element as previous failed could not fild title attribute
                i++;
            }
        }else{
            //advance i to the next element as previous failed could not find class Advance-TabAccords-Builder
            i++;
        }
        listOfEleCount--;
    }

}

function wrapWithTab(parNodeDIV,refNodeDIV,tabGroupNode,groupID){
    var divWrap = document.createElement("DIV");
    divWrap.className ="bs-callout";

    var ulNavList = document.createElement("UL");
    ulNavList.className ="nav nav-tabs";
    ulNavList.setAttribute("id","Tab-Grp-"+groupID);
    ulNavList.setAttribute("role","tablist");

    var divContentWrap = document.createElement("DIV");
    divContentWrap.className = "tab-content";
    divContentWrap.setAttribute("id","TabContent-Grp-"+groupID);
    
    var tabsTREle = tabGroupNode.children;
   //console.log("Number of Tabs/accord found in the Group: "+tabsTREle.length);
    var j;
    var tabNum = 1;
    var tabsInfoTDEle;
    for (j=0; j < tabsTREle.length; j++){ //for each tr found is a tab
        //console.log("ChildNode: " + tabsTREle[j].tagName);
        
        if(tabsTREle[j].tagName != null && tabsTREle[j].tagName == "TR"){
            //console.log("TR tab"+tabNum+", ChildNode: " + tabsTREle[j].innerHTML);
            var liNavItem = document.createElement("LI");
            var divContent = document.createElement("DIV");
            liNavItem.className = "nav-item";
            
            var aNavLink = document.createElement("A");
            if(tabNum==1){//first tab
                aNavLink.className = "nav-link active";
                aNavLink.setAttribute("aria-selected","true");
                divContent.className = "advTab-body tab-pane clearfix fade show active";
            }else{
                aNavLink.className = "nav-link";
                aNavLink.setAttribute("aria-selected","false");
                divContent.className = "advTab-body tab-pane clearfix fade";
            }
            aNavLink.setAttribute("data-toggle","tab");
            aNavLink.setAttribute("role","tab");
            divContent.setAttribute("role","tabpanel");
            tabsInfoTDEle = tabsTREle[j].children;
            var k;
            var infoTDNum = 0;
            var tabID;
            var tabName;
            for(k=0; k<tabsInfoTDEle.length; k++){ //for each td found is the info for the tabs
                if (tabsInfoTDEle[k].tagName != null && tabsInfoTDEle[k].tagName == "TD"){
                    if (infoTDNum==0){//this is the tab number
                        //console.log("TD tab id, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabIDChilds = tabsInfoTDEle[k].children;
                        if(tabIDChilds.length>0){
                            tabID =getTabID(tabIDChilds);
                        }else{
                            //check to see if it's just textContent without any children
                            tabID = tabsInfoTDEle[k].textContent;
                            if(tabID !=""){
                                tabID= (tabID.toLowerCase()).replace(/\s+/g, '-');
                            }
                        }
                        if(tabID.trim().length==0){
                            tabID=tabNum.toString();
                        }
                       //console.log("tabID string: "+tabID);
                        aNavLink.setAttribute("href","#nav-Grp-"+groupID+"-tab-"+tabID);
                        aNavLink.setAttribute("aria-controls","nav-tab-"+tabID);
                        liNavItem.appendChild(aNavLink);
                        divContent.setAttribute("id","nav-Grp-"+groupID+"-tab-"+tabID);
                        divContent.setAttribute("aria-labelledby","nav-tab-"+tabID+"-tab");
                    }else if(infoTDNum==1){ //tab name
                        //console.log("TD tab name, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabNameChilds = tabsInfoTDEle[k].children;
                        if(tabNameChilds.length>0){
                            tabName = getTabName(tabNameChilds);
                        }else{
                            //check to see if it's just textContent without any children
                            tabName = tabsInfoTDEle[k].textContent;
                        }
                       //console.log("Tab Name or Number: "+tabName);
                        if(tabName.trim().length==0){
                            tabName = tabNum.toString();
                           //console.log("tabName is blank or null");
                        }
                       //console.log("tabs tabName String: "+tabName);
                        aNavLink.appendChild(document.createTextNode(tabName));

                    }else if(infoTDNum==2){ //tab contents
                        //console.log("TD tab contents, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabContentChild = tabsInfoTDEle[k].children;
                       //console.log("children content count: "+tabContentChild.length);
                        
                        if(tabContentChild.length>0){
                            while(tabContentChild.length>0){
                               //console.log("children tagName: "+tabContentChild[0].tagName);
                                divContent.append(tabContentChild[0]);
                            }
                        }else{
                            var justText = tabsInfoTDEle[k].textContent;
                            if (justText !=""){
                                var pNode = document.createElement("P");
                                var textNodeFound = document.createTextNode(justText);
                                pNode.appendChild(textNodeFound);
                                divContent.appendChild(pNode);
                            }
                        }
                    }
                    infoTDNum++;
                    //wrap evertying in the liNavItem and then to ulNavList
                    ulNavList.appendChild(liNavItem);
                    //wrap everything in the divContentWrap with class tab-content
                    divContentWrap.appendChild(divContent);
                }
            }
            tabNum++;
            //wrap everything in tabs divWrap with class bs-callout
            divWrap.appendChild(ulNavList);
            divWrap.appendChild(divContentWrap);

        }
    }
    //wrap it into the parent div with class CustomActivity and title Advance-TabAccords
    parNodeDIV.insertBefore(divWrap,refNodeDIV);
    refNodeDIV.remove();
}

function wrapWithAccord(parNodeDIV,refNodeDIV,tabGroupNode,groupID){
    var divAccordWrap = document.createElement("DIV");
    divAccordWrap.setAttribute("id","Accord-Grp-"+groupID);
    divAccordWrap.setAttribute("role","tablist");
    divAccordWrap.setAttribute("aria-multiselectable","true");

    var tabsTREle = tabGroupNode.children;
   //console.log("Number of Tabs/accord found in the Group: "+tabsTREle.length);
    var j;
    var tabNum = 1;
    var tabsInfoTDEle;
    for (j=0; j < tabsTREle.length; j++){ //for each tr found is a tab
        //console.log("ChildNode: " + tabsTREle[j].tagName);
        
        if(tabsTREle[j].tagName != null && tabsTREle[j].tagName == "TR"){
            //console.log("TR tab"+tabNum+", ChildNode: " + tabsTREle[j].innerHTML);
            var divCardWrap = document.createElement("DIV");
            divCardWrap.className = "card rounded-0";
            divCardWrap.style.marginBottom = "20px";

            var divHeader = document.createElement("DIV");
            divHeader.className="card-header";
            divHeader.setAttribute("role","tab");
            

            var h3Header = document.createElement("H3");
            h3Header.className = "card-heading";
            h3Header.style.marginTop = "0px";
            h3Header.style.marginBottom = "0px";

            var aH3Link = document.createElement("A");
            aH3Link.className = "d-block";
            aH3Link.setAttribute("data-toggle","collapse");
            aH3Link.setAttribute("data-parent","#Accord-Grp-"+groupID);
            

            var imgLink = document.createElement("IMG");
            imgLink.className = "open_sign";
            imgLink.setAttribute("src","../assets/img/plus.svg");
            imgLink.setAttribute("alt","Open Symbol");
            imgLink.style.marginTop ="10px";

            if(tabNum==1){
                aH3Link.setAttribute("aria-expanded","true");
            }else{
                aH3Link.setAttribute("aria-expanded","false");
            }
            aH3Link.setAttribute("aria-controls","collapse-"+tabNum);

            var divCollapse = document.createElement("DIV");
            divCollapse.className = "collapse";
            divCollapse.setAttribute("role","tabpanel");
            divCollapse.setAttribute("aria-labelledby","heading-"+tabNum);

            var divCollBody = document.createElement("DIV");
            divCollBody.className = "card-body advAcc-body clearfix";
           
            tabsInfoTDEle = tabsTREle[j].children;
            var k;
            var infoTDNum = 0;
            var tabID;
            var tabName;
            for(k=0; k<tabsInfoTDEle.length; k++){ //for each td found is the info for the tabs
                if (tabsInfoTDEle[k].tagName != null && tabsInfoTDEle[k].tagName == "TD"){
                    if (infoTDNum==0){//this is the tab number
                        //console.log("TD tab id, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabIDChilds = tabsInfoTDEle[k].children;
                        if(tabIDChilds.length>0){
                            tabID =getTabID(tabIDChilds);
                        }else{
                            //check to see if it's just textContent without any children
                            tabID = tabsInfoTDEle[k].textContent;
                            if(tabID !=""){
                                tabID= (tabID.toLowerCase()).replace(/\s+/g, '-');
                            }
                        }
                        if(tabID.trim().length==0){
                            tabID=tabNum.toString();
                        }
                       //console.log("tabID string: "+tabID);
                        divHeader.setAttribute("id","heading-Grp-"+groupID+"-"+tabID);
                        aH3Link.setAttribute("href","#collapse-Grp-"+groupID+"-"+tabID);
                        divCollapse.setAttribute("id","collapse-Grp-"+groupID+"-"+tabID);
                        
                    }else if(infoTDNum==1){ //tab name
                        //console.log("TD tab name, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabNameChilds = tabsInfoTDEle[k].children;
                        if(tabNameChilds.length>0){
                            tabName = getTabName(tabNameChilds);
                        }else{
                            //check to see if it's just textContent without any children
                            tabName = tabsInfoTDEle[k].textContent;
                        }
                       //console.log("Tab Name or Number: "+tabName);
                        if(tabName.trim().length==0){
                            tabName = tabNum.toString();
                           //console.log("accordion-tabName is blank");
                        }
                       //console.log("accordion-tabName String: "+tabName);
                        aH3Link.appendChild(document.createTextNode(tabName));
                        aH3Link.appendChild(imgLink);

                    }else if(infoTDNum==2){ //tab contents
                        //console.log("TD tab contents, ChildNode: " + tabsInfoTDEle[k].innerHTML);
                        var tabContentChild = tabsInfoTDEle[k].children;
                       //console.log("children content count: "+tabContentChild.length);
                        if(tabContentChild.length>0){
                            while(tabContentChild.length>0){
                               //console.log("children tagName: "+tabContentChild[0].tagName);
                                divCollBody.append(tabContentChild[0]);
                            }
                        }else{
                            var justText = tabsInfoTDEle[k].textContent;
                            if (justText !=""){
                                var pNode = document.createElement("P");
                                var textNodeFound = document.createTextNode(justText);
                                pNode.appendChild(textNodeFound);
                                divCollBody.appendChild(pNode);
                            }
                        }
                        
                    }
                    infoTDNum++;
                    //wrap link in header
                    h3Header.appendChild(aH3Link);
                    //wrap header in divHeader
                    divHeader.appendChild(h3Header);
                    //wrap collapse content into the div collapse
                    divCollapse.appendChild(divCollBody);
                }
            }
            tabNum++;
            
            divCardWrap.appendChild(divHeader);
            divCardWrap.appendChild(divCollapse);
            //wrap the div card to the main accord wrap
            divAccordWrap.appendChild(divCardWrap);

        }
    }
    //wrap it into the parent div with class CustomActivity and title Advance-TabAccords
    parNodeDIV.insertBefore(divAccordWrap,refNodeDIV);
    refNodeDIV.remove();
}

function getTabID(tabIDchildren){
    var i;
    var tabIDStr="";
    for (i=0; i<tabIDchildren.length; i++){
        if(tabIDchildren[i].tagName != null && tabIDchildren[i].tagName=="P"){
            if(tabIDStr.trim().length==0){
                tabIDStr = tabIDStr + "" + ((tabIDchildren[i].textContent).trim()).toLowerCase();
            }else{
                tabIDStr = tabIDStr + "-" + ((tabIDchildren[i].textContent).trim()).toLowerCase();
            }
        }
    }
    tabIDStr= tabIDStr.replace(/\s+/g, '-');
    return tabIDStr;
}

function getTabName(tabNameChildren){
    var i;
    var tabNameStr="";
    for (i=0; i<tabNameChildren.length; i++){
        if(i==0){
            tabNameStr = tabNameStr + "" + (tabNameChildren[i].textContent).trim();
        }else{
            tabNameStr = (tabNameStr).trim() + " " + (tabNameChildren[i].textContent).trim();
        }
    }
    return tabNameStr;
}

function getRNDid(){
    var uName = '' + Math.random().toString(36).substring(2,9); //default unique name is random gen
    return uName;
}
// _setPath Done