
const loadInteractives = !!document.getElementById("loadInteractives"); //started using this id to specify the portion to load the interactives code, older pages before July 12 2022 used loadHere
const loadHere = !!document.getElementById("loadHere"); //older page interactive-components page before July 12 2022 used loadHere
const the_team = [
  [getLinkedURL('/assets/advInteractives_pkg/images/flipcard/team/Visal.jpeg'),'Visal','eLearning Developer'], /**** Needs to be an absolute path when ready to publish _setPath **/
  [getLinkedURL('/assets/advInteractives_pkg/images/flipcard/team/Tyler.jpeg'),'Tyler','Multimedia Specialist / Web & Interactive Development'], /**** Needs to be an absolute path when ready to publish _setPath **/
  [getLinkedURL('/assets/advInteractives_pkg/images/flipcard/team/Tanya.jpeg'),'Tanya','Manager, eLearning'] /**** Needs to be an absolute path when ready to publish _setPath **/
];
$(function(){
  try{
    loadStyles();
  }catch(err){
  }
  try{
    loadBuild();
  }catch(err){
  }
  try{
    loadEmbedCode();
  }catch(err){
  }

  $("#copyTabsCode").click(function(){
    alert("The Code for the Tabs Component has been Copied to your Clipboard!");
  });
  $("#copyAccordsCode").click(function(){
    alert("The Code for the Accordions Component has been Copied to your Clipboard!");
  });
  $("#copyMulTargsCode").click(function(){
    alert("The Code for the Multiple Target Component has been Copied to your Clipboard!");
  });
  $("#copyFlipCardsCode").click(function(){
    alert("The Code for the Flip Cards Component has been Copied to your Clipboard!");
  });
});

function loadStyles(){
  /**** Needs to be an absolute path when ready to publish _setPath **/
  const advCl_css = document.createElement('link');
  advCl_css.rel = "stylesheet";
  advCl_css.type = "text/css";
  advCl_css.href = getLinkedURL('/assets/advInteractives_pkg/css/advancedClient.css');
  document.head.appendChild(advCl_css);
  /**** Needs to be an absolute path when ready to publish _setPath **/
  const advFC_css = document.createElement('link');
  advFC_css.rel = "stylesheet";
  advFC_css.type = "text/css";
  advFC_css.href = getLinkedURL('/assets/advInteractives_pkg/css/advancedFlipCard.css');
  document.head.appendChild(advFC_css);
  /**** Needs to be an absolute path when ready to publish _setPath **/
  const advMCTFQ_css = document.createElement('link');
  advMCTFQ_css.rel = "stylesheet";
  advMCTFQ_css.type = "text/css";
  advMCTFQ_css.href = getLinkedURL('/assets/advInteractives_pkg/css/advancedMCTFQ.css');
  document.head.appendChild(advMCTFQ_css);
}
function getIMG_SRC(imgArr){
  let numOfIMGS = imgArr.length;
  let randNum = 0;
  if(numOfIMGS > 0){
    randNum = Math.floor(Math.random() * numOfIMGS);
  }
  return imgArr[randNum];
}
  
function loadBuild(){
  const today = new Date();
  const yStr = today.getFullYear();
  const mStr = today.getMonth()+1;
  let searchDate ="";
  if(mStr>9){
    searchDate = yStr+"-"+mStr;
  }else{
    searchDate = yStr+"-0"+mStr;
  }
  const searchTerm = "templates";
  const eventsURL ="https://durhamcollege.ca/ctl/events/";
  const eventsSearchURL = eventsURL+""+searchDate+"/?tribe-bar-date="+searchDate+"&tribe-bar-search="+searchTerm;
  let flip_team_arr = getIMG_SRC(the_team);
  if(!flip_team_arr){
    flip_team_arr=the_team[0];
  }
  const pers_img = flip_team_arr[0];
  const pers_name =flip_team_arr[1];
  const pers_title=flip_team_arr[2];

  let htmlCode='';
  /**** Needs to be an absolute path when ready to publish maybe use the ../template-pages/ **/
  //htmlCode_AFTER_HERE
//Code generated: 2023-Jun-14, Code found in file: ./AdvancedComponentsCode/20221124/d2l/VLS/html/2_eFormat/htmlCode_format.js
htmlCode += '<h1 class="text-center">Interactive Components</h1>';
htmlCode += '\n<p style="text-align: center;">This page demonstrates many different options to present content.</p>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Adding these Components to your Content</h2>';
htmlCode += '\n<p>You can add these components by simply coping the embed code found below or use the Quiz Builder Tool to generate the code.</p>';
htmlCode += '\n<p>Then, using the "Insert Stuff" HTML editor tool (<img src="'+getLinkedURL('/assets/advInteractives_pkg/images/InsertStuff.png')+'" alt="Insert Stuff HTML editor tool icon" />), you can embed it into your content page by selecting "Enter Embed Code" (<img src="'+getLinkedURL('/assets/advInteractives_pkg/images/EnterEmbedCode.png')+'" alt="Enter Embed Code option" />) from the list of options.</p>';
htmlCode += '\n<p>Here&apos;s how in 3 easy steps:</p>';
htmlCode += '\n<div class="card" style="border: 0px;">';
htmlCode += '\n    <div class="card-body">';
htmlCode += '\n        <div class="card" style="display: inline-block; max-width: 30%; margin: 5px;">';
htmlCode += '\n            <br />';
htmlCode += '\n            <img src="'+getLinkedURL('/assets/advInteractives_pkg/images/gifs/EmbedCode-Step1.gif')+'" class="card-img-top" alt="Animation what was outlined in Step 1" />';
htmlCode += '\n            <div class="card-body" style="margin-bottom: 58px;">';
htmlCode += '\n                <p class="card-text"><b>Step 1</b> Click the "Copy Embed Code" Button found under the component you want to add.</p>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="card" style="display: inline-block; max-width: 30%; margin: 5px;">';
htmlCode += '\n            <br />';
htmlCode += '\n            <img src="'+getLinkedURL('/assets/advInteractives_pkg/images/gifs/EmbedCode-Step2.gif')+'" class="card-img-top" alt="Animation what was outlined in Step 2" />';
htmlCode += '\n            <div class="card-body" style="margin-bottom: 29px;">';
htmlCode += '\n                <p class="card-text"><b>Step 2</b> Go to the content page you want to add the component to. Click on the "Insert Stuff" tool button.</p>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="card" style="display: inline-block; max-width: 30%; margin: 5px;">';
htmlCode += '\n            <br />';
htmlCode += '\n            <img src="'+getLinkedURL('/assets/advInteractives_pkg/images/gifs/EmbedCode-Step3.gif')+'" class="card-img-top" alt="Animation what was outlined in Step 3" />';
htmlCode += '\n            <div class="card-body">';
htmlCode += '\n                <p class="card-text"><b>Step 3</b> Select the "Enter Embed Code" option. Paste the code "Embed Code" window. Click the "Next", "Insert" and "Save and Close".</p>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Practice Quiz Example</h2>';
htmlCode += '\n<div class="CustomActivity" title="Example-MCTFQ" contenteditable="false"><span class="sr-only">Interactive Quiz Components Selected.</span>';
htmlCode += '\n    <section class="PracticeQuiz">';
htmlCode += '\n        <div class="card">';
htmlCode += '\n            <div class="card-header">';
htmlCode += '\n                <h3 class="card-heading">Test Your Knowledge</h3>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="card-body clearfix">';
htmlCode += '\n                <section class="multipleChoiceActivityContainer"><span class="questionTitle"> What does CTL stand for?</span>';
htmlCode += '\n                    <form>';
htmlCode += '\n                        <ol>';
htmlCode += '\n                            <li class="radioContainer"><label> Centre for Technology and Learning<input class="choice-text" type="radio" name="quiz" value="false"><span class="customRadioSelector"></span></label><span class="feedback"></span></li>';
htmlCode += '\n                            <li class="radioContainer"><label> Centre for Teaching and Learning<input class="choice-text" type="radio" name="quiz" value="true"><span class="customRadioSelector"></span></label><span class="feedback"></span></li>';
htmlCode += '\n                            <li class="radioContainer"><label> Centre for Technology Leaders<input class="choice-text" type="radio" name="quiz" value="false"><span class="customRadioSelector"></span></label><span class="feedback"></span></li>';
htmlCode += '\n                            <li class="radioContainer"><label> Cupcakes Tea and Lattes<input class="choice-text" type="radio" name="quiz" value="false"><span class="customRadioSelector"></span></label><span class="feedback"></span></li>';
htmlCode += '\n                        </ol>';
htmlCode += '\n                    </form>';
htmlCode += '\n                    <section class="reveal">';
htmlCode += '\n                        <button type="button" class="btn btn-danger hint-answer-right" style="padding: 5px 10px;" data-toggle="collapse" href="#reveal-1cq8hqgj" aria-expanded="false" aria-controls="reveal-1cq8hqgj"><i class="far fa-lightbulb aria-hidden"></i>&nbsp;hint</button>';
htmlCode += '\n                        <div class="clearfloat"></div>';
htmlCode += '\n                        <div id="reveal-1cq8hqgj" class="collapse">';
htmlCode += '\n                            <div class="hint-answer clearfix">';
htmlCode += '\n                                <div>';
htmlCode += '\n                                    <p><strong>hint : </strong>Check out our <a rel="noopener" href="https://durhamcollege.ca/ctl/" target="_blank">website</a>.</p>';
htmlCode += '\n                                </div>';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </section>';
htmlCode += '\n                </section>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n    </section>';
htmlCode += '\n</div>';
htmlCode += '\n<h3><span class="badge bg-secondary" style="color: #ffffff;">New</span> Question Types Available:</h3>';
htmlCode += '\n<ul>';
htmlCode += '\n    <li>Multiple Choice</li>';
htmlCode += '\n    <li>True/False</li>';
htmlCode += '\n    <li>Multi-select</li>';
htmlCode += '\n    <li>Reorder</li>';
htmlCode += '\n    <li>Short Answer</li>';
htmlCode += '\n</ul>';
htmlCode += '\n<h3>Build Quiz:</h3>';
htmlCode += '\n<p>Generate the code for this formative interactive activity using the <a rel="noopener" href="'+getLinkedURL('/assets/advInteractives_pkg/html/Quiz_Builder.html')+'" target="_blank">Quiz Builder Tool</a>.</p>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Tabs Example</h2>';
htmlCode += '\n<div class="CustomActivity" title="Example-Advance-Tabs" contenteditable="false">';
htmlCode += '\n    <div class="bs-callout">';
htmlCode += '\n        <ul class="nav nav-tabs" id="Tab-Grp-aznri5o" role="tablist">';
htmlCode += '\n            <li class="nav-item"><a class="nav-link active" aria-selected="true" data-toggle="tab" role="tab" href="#nav-Grp-aznri5o-tab-home" aria-controls="nav-tab-home">Home Tab</a></li>';
htmlCode += '\n            <li class="nav-item"><a class="nav-link" aria-selected="false" data-toggle="tab" role="tab" href="#nav-Grp-aznri5o-tab-profile" aria-controls="nav-tab-profile">Profile Tab</a></li>';
htmlCode += '\n            <li class="nav-item"><a class="nav-link" aria-selected="false" data-toggle="tab" role="tab" href="#nav-Grp-aznri5o-tab-contact" aria-controls="nav-tab-contact">Contact Tab</a></li>';
htmlCode += '\n        </ul>';
htmlCode += '\n        <div class="tab-content" id="TabContent-Grp-aznri5o">';
htmlCode += '\n            <div class="advTab-body tab-pane clearfix fade show active" role="tabpanel" id="nav-Grp-aznri5o-tab-home" aria-labelledby="nav-tab-home-tab">';
htmlCode += '\n                <p>1 - Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="advTab-body tab-pane clearfix fade" role="tabpanel" id="nav-Grp-aznri5o-tab-profile" aria-labelledby="nav-tab-profile-tab">';
htmlCode += '\n                <p>2 - Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</p>';
htmlCode += '\n                <p style="text-align: center;"> <iframe width="560" height="315" src="https://www.youtube.com/embed/EMuULIbLkwM" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" ></iframe></p>';
htmlCode += '\n                <p>Sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="advTab-body tab-pane clearfix fade" role="tabpanel" id="nav-Grp-aznri5o-tab-contact" aria-labelledby="nav-tab-contact-tab">';
htmlCode += '\n                <p>3 - At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere possimus, omnis voluptas assumenda est, omnis dolor repellendus. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae.</p>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<br />';
htmlCode += '\n<div class="card copyEmbedCode">';
htmlCode += '\n    <button class="btn btn-primary copy-embed" data-clipboard-target="#tabsCode" id="copyTabsCode" onclick="copyCodeClicked(&apos;copyTabsCode&apos;)">Copy Embed Code <i class="fas fa-code"></i></button>';
htmlCode += '\n    <div class="card-body copyEmbedCode-body">';
htmlCode += '\n        <div style="clear: both;"></div>';
htmlCode += '\n        <pre class="code-area" id="tabsCode"></pre>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Accordion Example</h2>';
htmlCode += '\n<div class="CustomActivity" title="Example-Advance-Accords" contenteditable="false">';
htmlCode += '\n    <div id="Accord-Grp-0xbqbyu" role="tablist" aria-multiselectable="true">';
htmlCode += '\n        <div class="card rounded-0" style="margin-bottom: 20px;">';
htmlCode += '\n            <div class="card-header" role="tab" id="heading-Grp-0xbqbyu-conduct">';
htmlCode += '\n                <h3 class="card-heading" style="margin-top: 0; margin-bottom: 0;">';
htmlCode += '\n                    <a class="d-block" data-toggle="collapse" data-parent="#Accord-Grp-0xbqbyu" aria-expanded="true" aria-controls="collapse-1" href="#collapse-Grp-0xbqbyu-conduct">Student Conduct and Digital Citizenship<img class="open_sign" src="'+getLinkedURL('/assets/img/plus.svg')+'" alt="Open Symbol" style="margin-top: 10px;" /></a>';
htmlCode += '\n                </h3>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="collapse" role="tabpanel" aria-labelledby="heading-1" id="collapse-Grp-0xbqbyu-conduct">';
htmlCode += '\n                <div class="card-body advAcc-body clearfix">';
htmlCode += '\n                    <p><a href="https://durhamcollege.ca/wp-content/uploads/student-conduct-policy.pdf" target="_blank" rel="noopener">Durham College&apos;s Student Conduct policy</a> refers to maintaining a respectful learning environment as well as demonstrating respectful digital citizenship.<a href="https://durhamcollege.ca/wp-content/uploads/Durham-College-Standard-Definitions.pdf" target="_blank" rel="noopener"> Digital citizenship</a> involves the understanding that online conduct, regardless of where or when the conduct occurs, can have the same impact on the learning environment as in-person comments and behaviours.</p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="card rounded-0" style="margin-bottom: 20px;">';
htmlCode += '\n            <div class="card-header" role="tab" id="heading-Grp-0xbqbyu-privacy">';
htmlCode += '\n                <h3 class="card-heading" style="margin-top: 0; margin-bottom: 0;">';
htmlCode += '\n                    <a class="d-block" data-toggle="collapse" data-parent="#Accord-Grp-0xbqbyu" aria-expanded="false" aria-controls="collapse-2" href="#collapse-Grp-0xbqbyu-privacy">Personal Data and Privacy<img class="open_sign" src="'+getLinkedURL('/assets/img/plus.svg')+'" alt="Open Symbol" style="margin-top: 10px;" /></a>';
htmlCode += '\n                </h3>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="collapse" role="tabpanel" aria-labelledby="heading-2" id="collapse-Grp-0xbqbyu-privacy">';
htmlCode += '\n                <div class="card-body advAcc-body clearfix">';
htmlCode += '\n                    <p>To understand how to protect your data and your rights to privacy on campus, see the <a href="https://durhamcollege.ca/about/governance/information-access-and-privacy/freedom-of-information-and-protection-of-privacy" target="_blank" rel="noopener"> Freedom of information and protection of privacy</a>at DC.</p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="card rounded-0" style="margin-bottom: 20px;">';
htmlCode += '\n            <div class="card-header" role="tab" id="heading-Grp-0xbqbyu-integrity">';
htmlCode += '\n                <h3 class="card-heading" style="margin-top: 0; margin-bottom: 0;">';
htmlCode += '\n                    <a class="d-block" data-toggle="collapse" data-parent="#Accord-Grp-0xbqbyu" aria-expanded="false" aria-controls="collapse-3" href="#collapse-Grp-0xbqbyu-integrity"> Academic Integrity<img class="open_sign" src="'+getLinkedURL('/assets/img/plus.svg')+'" alt="Open Symbol" style="margin-top: 10px;" /></a>';
htmlCode += '\n                </h3>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="collapse" role="tabpanel" aria-labelledby="heading-3" id="collapse-Grp-0xbqbyu-integrity">';
htmlCode += '\n                <div class="card-body advAcc-body clearfix">';
htmlCode += '\n                    <p>To understand academic integrity at DC, see the <a href="https://durhamcollege.ca/wp-content/uploads/ACAD-101-Academic-Integrity.pdf" target="_blank" rel="noopener"> Academic Integrity Policy and Procedure document.</a></p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="card rounded-0" style="margin-bottom: 20px;">';
htmlCode += '\n            <div class="card-header" role="tab" id="heading-Grp-0xbqbyu-cite">';
htmlCode += '\n                <h3 class="card-heading" style="margin-top: 0; margin-bottom: 0;">';
htmlCode += '\n                    <a class="d-block" data-toggle="collapse" data-parent="#Accord-Grp-0xbqbyu" aria-expanded="false" aria-controls="collapse-4" href="#collapse-Grp-0xbqbyu-cite"> How to Cite Properly<img class="open_sign" src="'+getLinkedURL('/assets/img/plus.svg')+'" alt="Open Symbol" style="margin-top: 10px;" /></a>';
htmlCode += '\n                </h3>';
htmlCode += '\n            </div>';
htmlCode += '\n            <div class="collapse" role="tabpanel" aria-labelledby="heading-4" id="collapse-Grp-0xbqbyu-cite">';
htmlCode += '\n                <div class="card-body advAcc-body clearfix">';
htmlCode += '\n                    <p>If you need help on how to properly cite your resources for an assignment, see the <a href="https://durhamcollege.ca/wp-content/uploads/apa.pdf" target="_blank" rel="noopener">APA Citation style guide</a> or <a href="https://guides.library.durhamcollege.ca/citation" target="_blank" rel="noopener">DC’s library</a> to read more about citation and writing.</p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>  ';
htmlCode += '\n<br />';
htmlCode += '\n<div class="card copyEmbedCode">';
htmlCode += '\n    <button class="btn btn-primary copy-embed" data-clipboard-target="#accordsCode" id="copyAccordsCode" onclick="copyCodeClicked(&apos;copyAccordsCode&apos;)">Copy Embed Code <i class="fas fa-code"></i></button>';
htmlCode += '\n    <div class="card-body copyEmbedCode-body">';
htmlCode += '\n        <div style="clear: both;"></div>';
htmlCode += '\n        <pre class="code-area" id="accordsCode"></pre>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Multiple Target Example</h2>';
htmlCode += '\n<div class="CustomActivity" title="Example-Advance-MulTargs" contenteditable="false">';
htmlCode += '\n    <p>';
htmlCode += '\n        <button class="btn btn-dcgreen set-as-pointer" type="button" data-toggle="collapse" data-target="#multiCollapseExample1" aria-expanded="false" aria-controls="multiCollapseExample1" style="cursor: pointer;">';
htmlCode += '\n            <span class="">Toggle first element</span>';
htmlCode += '\n        </button>';
htmlCode += '\n        <button class="btn btn-dcgreen set-as-pointer" type="button" data-toggle="collapse" data-target="#multiCollapseExample2" aria-expanded="false" aria-controls="multiCollapseExample2" style="cursor: pointer;">';
htmlCode += '\n            <span class="">Toggle second element</span>';
htmlCode += '\n        </button>';
htmlCode += '\n        <button class="btn btn-dcgreen set-as-pointer" type="button" data-toggle="collapse" data-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample1 multiCollapseExample2" style="cursor: pointer;">';
htmlCode += '\n            <span class="">Toggle both elements</span>';
htmlCode += '\n        </button>';
htmlCode += '\n    </p>';
htmlCode += '\n    <div class="row">';
htmlCode += '\n        <div class="col">';
htmlCode += '\n            <div class="collapse multi-collapse advAccord" id="multiCollapseExample1">';
htmlCode += '\n                <div class="card card-body clearfix">';
htmlCode += '\n                    <p>At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga.</p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <div class="col">';
htmlCode += '\n            <div class="collapse multi-collapse advAccord" id="multiCollapseExample2">';
htmlCode += '\n                <div class="card card-body clearfix">';
htmlCode += '\n                    <p>Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat.</p>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<br />';
htmlCode += '\n<div class="card copyEmbedCode">';
htmlCode += '\n    <button class="btn btn-primary copy-embed" data-clipboard-target="#mulTargsCode" id="copyMulTargsCode" onclick="copyCodeClicked(&apos;copyMulTargsCode&apos;)">Copy Embed Code <i class="fas fa-code"></i></button>';
htmlCode += '\n    <div class="card-body copyEmbedCode-body">';
htmlCode += '\n        <div style="clear: both;"></div>';
htmlCode += '\n        <pre class="code-area" id="mulTargsCode"></pre>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<hr />';
htmlCode += '\n<h2 style="text-align: center;">Flip Cards Example</h2>';
htmlCode += '\n<div class="CustomActivity" title="Example-Advance-FlipCards" contenteditable="false">';
htmlCode += '\n    <div class="activity-instruction"><i class="fas fa-mouse-pointer"></i> <strong>Click on each card to reveal the answer</strong></div>';
htmlCode += '\n    <div class="flip-card-game">';
htmlCode += '\n        <ul role="application" aria-labelledby="flip-card-activity">';
htmlCode += '\n            <li class="card-list-item" tabindex="0" role="button" aria-label="Card 1">';
htmlCode += '\n                <div class="flip-card">';
htmlCode += '\n                    <div class="card-front">';
htmlCode += '\n                        <div class="card-question-title">Name this Operator</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                This operator can be used in a conditional statement.<br><br><b>==</b>';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <div class="card-back">';
htmlCode += '\n                        <div class="card-answer-title">Answer</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                This is the Equal to Operator.';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </li>';
htmlCode += '\n            <li class="card-list-item" tabindex="0" role="button" aria-label="Card 2">';
htmlCode += '\n                <div class="flip-card">';
htmlCode += '\n                    <div class="card-front">';
htmlCode += '\n                        <div class="card-question-title">Name this Operator</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                This operator is used with variables. <br><br><br><br><b>=</b>';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <div class="card-back">';
htmlCode += '\n                        <div class="card-answer-title">Answer</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                This is the Assignment Operator.';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </li>';
htmlCode += '\n            <li class="card-list-item" tabindex="0" role="button" aria-label="Card 3">';
htmlCode += '\n                <div class="flip-card">';
htmlCode += '\n                    <div class="card-front">';
htmlCode += '\n                        <div class="card-question-title">Meet</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text"></div>';
htmlCode += '\n                            <img src="'+pers_img+'" width="180" alt="Profile picture of '+pers_name+'">';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <div class="card-back">';
htmlCode += '\n                        <div class="card-answer-title">'+pers_name+'</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                <p>Your '+pers_title+'!!</p>';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </li>';
htmlCode += '\n            <li class="card-list-item" tabindex="0" role="button" aria-label="Card 4">';
htmlCode += '\n                <div class="flip-card">';
htmlCode += '\n                    <div class="card-front">';
htmlCode += '\n                        <div class="card-question-title">Our Logo</div>';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text"></div>';
htmlCode += '\n                            <img src="'+getLinkedURL('/assets/advInteractives_pkg/images/flipcard/DCCTL.jpeg')+'" width="180" alt="Center for Teaching and Learning Logo">';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <div class="card-back">';
htmlCode += '\n                        <div class="card-content">';
htmlCode += '\n                            <div class="card-text">';
htmlCode += '\n                                <strong>CTL: </strong><br> Center for Teaching and Learning.';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                    </div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </li>';
htmlCode += '\n        </ul>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<br />';
htmlCode += '\n<div class="card copyEmbedCode">';
htmlCode += '\n    <button class="btn btn-primary copy-embed" data-clipboard-target="#flipCardsCode" id="copyFlipCardsCode" onclick="copyCodeClicked(&apos;copyFlipCardsCode&apos;)">Copy Embed Code <i class="fas fa-code"></i></button>';
htmlCode += '\n    <div class="card-body copyEmbedCode-body">';
htmlCode += '\n        <div style="clear: both;"></div>';
htmlCode += '\n        <pre class="code-area" id="flipCardsCode"></pre>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
  if (loadInteractives){
    $("#loadInteractives").append(htmlCode);
  }else if(loadHere){
    $("#loadHere").append(htmlCode);
  }

  /**** Needs to be an absolute path when ready to publish _setPath **/
  const src1 = getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_Quiz.js');
  $("body").append('<script src="' + src1 + '"><\/script>');
  /**** Needs to be an absolute path when ready to publish _setPath **/
  const src2 = getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_FlipCards.js');
  $("body").append('<script src="' + src2 + '"><\/script>');
  /**** Needs to be an absolute path when ready to publish _setPath **/
  const src3 = getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_MCTFQ.js');
  $("body").append('<script src="' + src3 + '"><\/script>');
}

function loadEmbedCode(){
  let tabsCodetoCopy="";
  //tabsCodetoCopy_AFTER_HERE
//Code generated: 2023-Jun-14, Code found in file: ./AdvancedComponentsCode/20221124/d2l/2_eFormat/tabsCodetoCopy_format.js
tabsCodetoCopy += "&lt;div class=&quot;CustomActivity&quot; title=&quot;Advance-Tabs&quot; contenteditable=&quot;false&quot;&gt;";
tabsCodetoCopy += "<br/>    &lt;span class=&quot;sr-only only-on-edit&quot;&gt;Tabs Component Selected.&lt;/span&gt;";
tabsCodetoCopy += "<br/>    &lt;div class=&quot;card only-on-edit&quot;&gt;";
tabsCodetoCopy += "<br/>        &lt;div class=&quot;card-header clearfix&quot;&gt;";
tabsCodetoCopy += "<br/>            &lt;p class=&quot;card-heading&quot;&gt;Information Card: Tabs Component&lt;span style=&quot;float: right;&quot;&gt;Edit HTML mode: &lt;span class=&quot;mark-as-ooe&quot;&gt;ON&amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt;&lt;/span&gt;&lt;/span&gt;";
tabsCodetoCopy += "<br/>            &lt;/p&gt;";
tabsCodetoCopy += "<br/>        &lt;/div&gt;";
tabsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
tabsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;strong&gt;Note:&lt;/strong&gt; This icon &amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt; indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible";
tabsCodetoCopy += "<br/>                to the students.&lt;/p&gt;";
tabsCodetoCopy += "<br/>            &lt;figure class=&quot;figure&quot; style=&quot;float:right;&quot; contenteditable=&quot;false&quot;&gt;";
tabsCodetoCopy += "<br/>                &lt;img src=&quot;"+getLinkedURL('/assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif')+"&quot; class=&quot;figure-img img-fluid rounded&quot; style=&quot;max-width: 95%;&quot; alt=&quot;right click link to open in new tab or window&quot;&gt;";
tabsCodetoCopy += "<br/>                &lt;figcaption class=&quot;figure-caption&quot;&gt;&lt;i class=&quot;far fa-lightbulb&quot;&gt;&lt;/i&gt; Tip: Right click to open any link while in Edit Mode&lt;/figcaption&gt;";
tabsCodetoCopy += "<br/>            &lt;/figure&gt;";
tabsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;br/&gt;&lt;i class=&quot;far fa-question-circle fa-lg&quot; style=&quot; margin: 5px 10px 0px 0px&quot;&gt;&lt;/i&gt;For Helpful Tips and Information on how to &lt;b&gt;Edit, Customize, Copy, Delete,&lt;/b&gt; please visit the &lt;a rel=&quot;noopener&quot; href=&quot;"+getLinkedURL('/assets/advInteractives_pkg/html/Info-Card-Tabs.html')+"&quot; target=&quot;_blank&quot; contenteditable=&quot;true&quot;&gt;&lt;u&gt;Quick Start Guide&lt;/u&gt;&lt;/a&gt; page for this component by simply right clicking on the &quot;Quick Start Guide&quot; link text and then selecting open in a new tab or window.&lt;/p&gt;";
tabsCodetoCopy += "<br/>        &lt;/div&gt;";
tabsCodetoCopy += "<br/>    &lt;/div&gt;";
tabsCodetoCopy += "<br/>    &lt;div class=&quot;card Advance-TabAccords-Builder&quot; contenteditable=&quot;true&quot;&gt;";
tabsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
tabsCodetoCopy += "<br/>            &lt;!-- START Card body 1 --&gt;";
tabsCodetoCopy += "<br/>            &lt;h2 class=&quot;only-on-edit&quot;&gt;Tab Builder&lt;/h2&gt;";
tabsCodetoCopy += "<br/>            &lt;div class=&quot;table-responsive-md&quot; contenteditable=&quot;true&quot;&gt;";
tabsCodetoCopy += "<br/>                &lt;!-- START Table --&gt;";
tabsCodetoCopy += "<br/>                &lt;table class=&quot;table table-striped table-bordered Advance-TabAccords-Builder-Table&quot;&gt;";
tabsCodetoCopy += "<br/>                    &lt;!-- START table header --&gt;";
tabsCodetoCopy += "<br/>                    &lt;thead&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- START header row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;tr class=&quot;Advance-TabAccords-Builder-THead&quot;&gt;";
tabsCodetoCopy += "<br/>                            &lt;!-- Individual header cells --&gt;";
tabsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Tab ID&lt;/th&gt;";
tabsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Tab Name&lt;/th&gt;";
tabsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Tab Contents&lt;/th&gt;";
tabsCodetoCopy += "<br/>                        &lt;/tr&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- ./END header row --&gt;";
tabsCodetoCopy += "<br/>                    &lt;/thead&gt;";
tabsCodetoCopy += "<br/>                    &lt;!-- ./END table header --&gt;";
tabsCodetoCopy += "<br/>                    &lt;!-- START table body --&gt;";
tabsCodetoCopy += "<br/>                    &lt;tbody class=&quot;Advance-TabAccords-Builder-Body&quot;&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;tr&gt;";
tabsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 1st row --&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;t1&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab #1&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab Content Here&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                        &lt;/tr&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;tr&gt;";
tabsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 2nd row --&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;t2&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab #2&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab Content Here&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                        &lt;/tr&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
tabsCodetoCopy += "<br/>                        &lt;tr&gt;";
tabsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 3rd row --&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;t3&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab #3&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                            &lt;td&gt;";
tabsCodetoCopy += "<br/>                                &lt;p&gt;Tab Content Here&lt;/p&gt;";
tabsCodetoCopy += "<br/>                            &lt;/td&gt;";
tabsCodetoCopy += "<br/>                        &lt;/tr&gt;";
tabsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
tabsCodetoCopy += "<br/>                    &lt;/tbody&gt;";
tabsCodetoCopy += "<br/>                    &lt;!-- ./END table body --&gt;";
tabsCodetoCopy += "<br/>                &lt;/table&gt;";
tabsCodetoCopy += "<br/>                &lt;!-- ./END Table --&gt;";
tabsCodetoCopy += "<br/>            &lt;/div&gt;";
tabsCodetoCopy += "<br/>            &lt;!-- ./END Card Body --&gt;";
tabsCodetoCopy += "<br/>        &lt;/div&gt;";
tabsCodetoCopy += "<br/>    &lt;/div&gt;";
tabsCodetoCopy += "<br/>&lt;/div&gt;";
tabsCodetoCopy += "<br/>&lt;p&gt;&lt;span class=&quot;only-on-edit&quot;&gt;&lt;br/&gt;&lt;/span&gt;&lt;/p&gt;";
  $("#tabsCode").append(tabsCodetoCopy);

  let accordsCodetoCopy="";
  //accordsCodetoCopy_AFTER_HERE
//Code generated: 2023-Jun-14, Code found in file: ./AdvancedComponentsCode/20221124/d2l/2_eFormat/accordsCodetoCopy_format.js
accordsCodetoCopy += "&lt;div class=&quot;CustomActivity&quot; title=&quot;Advance-Accords&quot; contenteditable=&quot;false&quot;&gt;";
accordsCodetoCopy += "<br/>    &lt;span class=&quot;sr-only only-on-edit&quot;&gt;Accordion Component Selected.&lt;/span&gt;";
accordsCodetoCopy += "<br/>    &lt;div class=&quot;card only-on-edit&quot;&gt;";
accordsCodetoCopy += "<br/>        &lt;div class=&quot;card-header clearfix&quot;&gt;";
accordsCodetoCopy += "<br/>            &lt;p class=&quot;card-heading&quot;&gt;Information Card: Accordion Component&lt;span style=&quot;float: right;&quot;&gt;Edit HTML mode: &lt;span class=&quot;mark-as-ooe&quot;&gt;ON&amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt;&lt;/span&gt;&lt;/span&gt;";
accordsCodetoCopy += "<br/>            &lt;/p&gt;";
accordsCodetoCopy += "<br/>        &lt;/div&gt;";
accordsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
accordsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;strong&gt;Note:&lt;/strong&gt; This icon &amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt; indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible";
accordsCodetoCopy += "<br/>                to the students.&lt;/p&gt;";
accordsCodetoCopy += "<br/>            &lt;figure class=&quot;figure&quot; style=&quot;float:right;&quot; contenteditable=&quot;false&quot;&gt;";
accordsCodetoCopy += "<br/>                &lt;img src=&quot;"+getLinkedURL('/assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif')+"&quot; class=&quot;figure-img img-fluid rounded&quot; style=&quot;max-width: 95%;&quot; alt=&quot;right click link to open in new tab or window&quot;&gt;";
accordsCodetoCopy += "<br/>                &lt;figcaption class=&quot;figure-caption&quot;&gt;&lt;i class=&quot;far fa-lightbulb&quot;&gt;&lt;/i&gt; Tip: Right click to open any link while in Edit Mode&lt;/figcaption&gt;";
accordsCodetoCopy += "<br/>            &lt;/figure&gt;";
accordsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;br/&gt;&lt;i class=&quot;far fa-question-circle fa-lg&quot; style=&quot; margin: 5px 10px 0px 0px&quot;&gt;&lt;/i&gt;For Helpful Tips and Information on how to &lt;b&gt;Edit, Customize, Copy, Delete,&lt;/b&gt; please visit the &lt;a rel=&quot;noopener&quot; href=&quot;"+getLinkedURL('/assets/advInteractives_pkg/html/Info-Card-Accordions.html')+"&quot; target=&quot;_blank&quot; contenteditable=&quot;true&quot;&gt;&lt;u&gt;Quick Start Guide&lt;/u&gt;&lt;/a&gt; page for this component by simply right clicking on the &quot;Quick Start Guide&quot; link text and then selecting open in a new tab or window.&lt;/p&gt;";
accordsCodetoCopy += "<br/>        &lt;/div&gt;";
accordsCodetoCopy += "<br/>    &lt;/div&gt;";
accordsCodetoCopy += "<br/>    &lt;div class=&quot;card Advance-TabAccords-Builder&quot; contenteditable=&quot;true&quot;&gt;";
accordsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
accordsCodetoCopy += "<br/>            &lt;!-- START Card body 1 --&gt;";
accordsCodetoCopy += "<br/>            &lt;h2 class=&quot;only-on-edit&quot;&gt;Accordion Builder&lt;/h2&gt;";
accordsCodetoCopy += "<br/>            &lt;div class=&quot;table-responsive-md&quot; contenteditable=&quot;true&quot;&gt;";
accordsCodetoCopy += "<br/>                &lt;!-- START Table --&gt;";
accordsCodetoCopy += "<br/>                &lt;table class=&quot;table table-striped table-bordered Advance-TabAccords-Builder-Table&quot;&gt;";
accordsCodetoCopy += "<br/>                    &lt;!-- START table header --&gt;";
accordsCodetoCopy += "<br/>                    &lt;thead&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- START header row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;tr class=&quot;Advance-TabAccords-Builder-THead&quot;&gt;";
accordsCodetoCopy += "<br/>                            &lt;!-- Individual header cells --&gt;";
accordsCodetoCopy += "<br/>                            &lt;th class=&quot;tabAccordID&quot; scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Accordion ID&lt;/th&gt;";
accordsCodetoCopy += "<br/>                            &lt;th class=&quot;tabAccordName&quot; scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Accordion Name&lt;/th&gt;";
accordsCodetoCopy += "<br/>                            &lt;th class=&quot;tabAccordContent&quot; scope=&quot;col&quot; contenteditable=&quot;false&quot;&gt;Accordion Contents&lt;/th&gt;";
accordsCodetoCopy += "<br/>                        &lt;/tr&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- ./END header row --&gt;";
accordsCodetoCopy += "<br/>                    &lt;/thead&gt;";
accordsCodetoCopy += "<br/>                    &lt;!-- ./END table header --&gt;";
accordsCodetoCopy += "<br/>                    &lt;!-- START table body --&gt;";
accordsCodetoCopy += "<br/>                    &lt;tbody class=&quot;Advance-TabAccords-Builder-Body&quot;&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;tr&gt;";
accordsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 1st row --&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;a1&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion #1&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion Content Here&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                        &lt;/tr&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;tr&gt;";
accordsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 2nd row --&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;a2&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion #2&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion Content Here&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                        &lt;/tr&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;tr&gt;";
accordsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 3rd row --&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;a3&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion #3&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion Content Here&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                        &lt;/tr&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
accordsCodetoCopy += "<br/>                        &lt;tr&gt;";
accordsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 4th row --&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;a4&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion #4&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                            &lt;td&gt;";
accordsCodetoCopy += "<br/>                                &lt;p&gt;Accordion Content Here&lt;/p&gt;";
accordsCodetoCopy += "<br/>                            &lt;/td&gt;";
accordsCodetoCopy += "<br/>                        &lt;/tr&gt;";
accordsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
accordsCodetoCopy += "<br/>                    &lt;/tbody&gt;";
accordsCodetoCopy += "<br/>                    &lt;!-- ./END table body --&gt;";
accordsCodetoCopy += "<br/>                &lt;/table&gt;";
accordsCodetoCopy += "<br/>                &lt;!-- ./END Table --&gt;";
accordsCodetoCopy += "<br/>            &lt;/div&gt;";
accordsCodetoCopy += "<br/>            &lt;!-- ./END Card Body --&gt;";
accordsCodetoCopy += "<br/>        &lt;/div&gt;";
accordsCodetoCopy += "<br/>    &lt;/div&gt;";
accordsCodetoCopy += "<br/>&lt;/div&gt;";
accordsCodetoCopy += "<br/>&lt;p&gt;&lt;span class=&quot;only-on-edit&quot;&gt;&lt;br/&gt;&lt;/span&gt;&lt;/p&gt;";
  $("#accordsCode").append(accordsCodetoCopy);

  let mulTargsCodetoCopy="";
  //mulTargsCodetoCopy_AFTER_HERE
//Code generated: 2023-Jun-14, Code found in file: ./AdvancedComponentsCode/20221124/d2l/2_eFormat/mulTargsCodetoCopy_format.js
mulTargsCodetoCopy += "&lt;div class=&quot;CustomActivity&quot; title=&quot;Advance-MulTargs&quot; contenteditable=&quot;false&quot;&gt;";
mulTargsCodetoCopy += "<br/>    &lt;span class=&quot;sr-only only-on-edit&quot;&gt;Multiple Target Component Selected.&lt;/span&gt;";
mulTargsCodetoCopy += "<br/>    &lt;div class=&quot;card only-on-edit&quot;&gt;";
mulTargsCodetoCopy += "<br/>        &lt;div class=&quot;card-header clearfix&quot;&gt;";
mulTargsCodetoCopy += "<br/>            &lt;p class=&quot;card-heading&quot;&gt;Information Card: Multiple Target Component &lt;span style=&quot;float: right;&quot;&gt;Edit HTML mode: &lt;span class=&quot;mark-as-ooe&quot;&gt;ON&amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt;&lt;/span&gt;&lt;/span&gt;";
mulTargsCodetoCopy += "<br/>            &lt;/p&gt;";
mulTargsCodetoCopy += "<br/>        &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
mulTargsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;strong&gt;Note:&lt;/strong&gt; This icon &amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt; indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible";
mulTargsCodetoCopy += "<br/>                to the students.&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>            &lt;figure class=&quot;figure&quot; style=&quot;float:right;&quot;&gt;";
mulTargsCodetoCopy += "<br/>                &lt;img src=&quot;"+getLinkedURL('/assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif')+"&quot; class=&quot;figure-img img-fluid rounded&quot; style=&quot;max-width: 95%;&quot; alt=&quot;right click link to open in new tab or window&quot;&gt;";
mulTargsCodetoCopy += "<br/>                &lt;figcaption class=&quot;figure-caption&quot;&gt;&lt;i class=&quot;far fa-lightbulb&quot;&gt;&lt;/i&gt; Tip: Right click to open any link while in Edit Mode&lt;/figcaption&gt;";
mulTargsCodetoCopy += "<br/>            &lt;/figure&gt;";
mulTargsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;br/&gt;&lt;i class=&quot;far fa-question-circle fa-lg&quot; style=&quot; margin: 5px 10px 0px 0px&quot;&gt;&lt;/i&gt;For Helpful Tips and Information on how to &lt;b&gt;Edit, Customize, Copy, Delete,&lt;/b&gt; please visit the &lt;a rel=&quot;noopener&quot; href=&quot;"+getLinkedURL('/assets/advInteractives_pkg/html/Info-Card-MultipleTargets.html')+"&quot;";
mulTargsCodetoCopy += "<br/>                    target=&quot;_blank&quot; contenteditable=&quot;true&quot;&gt;&lt;u&gt;Quick Start Guide&lt;/u&gt;&lt;/a&gt; page for this component by simply right clicking on the &quot;Quick Start Guide&quot; link text and then selecting open in a new tab or window.&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>        &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>    &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>    &lt;p class=&quot;mul-targs-btns&quot;&gt;";
mulTargsCodetoCopy += "<br/>        &lt;button class=&quot;btn btn-dcgreen set-as-pointer&quot; style=&quot;cursor:auto&quot; type=&quot;button&quot; data-toggle=&quot;collapse&quot; aria-expanded=&quot;false&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot;  contenteditable=&quot;true&quot;&gt;Toggle first element&lt;/span&gt;&lt;/button&gt;";
mulTargsCodetoCopy += "<br/>        &lt;button class=&quot;btn btn-dcgreen set-as-pointer&quot; style=&quot;cursor:auto&quot; type=&quot;button&quot; data-toggle=&quot;collapse&quot; aria-expanded=&quot;false&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot;  contenteditable=&quot;true&quot;&gt;Toggle second element&lt;/span&gt;&lt;/button&gt;";
mulTargsCodetoCopy += "<br/>        &lt;button class=&quot;btn btn-dcgreen set-as-pointer&quot; style=&quot;cursor:auto&quot; type=&quot;button&quot; data-toggle=&quot;collapse&quot; aria-expanded=&quot;false&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot;  contenteditable=&quot;true&quot;&gt;Toggle both elements&lt;/span&gt;&lt;/button&gt;";
mulTargsCodetoCopy += "<br/>    &lt;/p&gt;";
mulTargsCodetoCopy += "<br/>    &lt;div class=&quot;row&quot;&gt;";
mulTargsCodetoCopy += "<br/>        &lt;div class=&quot;col&quot;&gt;";
mulTargsCodetoCopy += "<br/>            &lt;div class=&quot;collapse advAccord show&quot;&gt;";
mulTargsCodetoCopy += "<br/>                &lt;div class=&quot;card card-body edit-able clearfix&quot; style=&quot;margin-bottom: 20px; padding: 20px; border: 1px dashed #000000; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;";
mulTargsCodetoCopy += "<br/>                    &lt;p&gt;Content Goes Here&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>                    &lt;p class=&quot;only-on-edit&quot; style=&quot; padding-left: 10px; text-align: right;&quot; contenteditable=&quot;false&quot;&gt;Toggle first element contents&amp;nbsp;&lt;i class=&quot;far fa-edit&quot;&gt;&lt;/i&gt;&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>                &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>            &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>        &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>        &lt;div class=&quot;col&quot;&gt;";
mulTargsCodetoCopy += "<br/>            &lt;div class=&quot;collapse advAccord show&quot;&gt;";
mulTargsCodetoCopy += "<br/>                &lt;div class=&quot;card card-body edit-able clearfix&quot; style=&quot;margin-bottom: 20px; padding: 20px; border: 1px dashed #000000; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;";
mulTargsCodetoCopy += "<br/>                    &lt;p&gt;Content Goes Here&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>                    &lt;p class=&quot;only-on-edit&quot; style=&quot; padding-left: 10px; text-align: right;&quot; contenteditable=&quot;false&quot;&gt;Toggle second element contents&amp;nbsp;&lt;i class=&quot;far fa-edit&quot;&gt;&lt;/i&gt;&lt;/p&gt;";
mulTargsCodetoCopy += "<br/>                &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>            &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>        &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>    &lt;/div&gt;";
mulTargsCodetoCopy += "<br/>&lt;/div&gt;";
mulTargsCodetoCopy += "<br/>&lt;p&gt;&lt;span class=&quot;only-on-edit&quot;&gt;&lt;br/&gt;&lt;/span&gt;&lt;/p&gt;";
  $("#mulTargsCode").append(mulTargsCodetoCopy);

  let flipCardsCodetoCopy="";
  //flipCardsCodetoCopy_AFTER_HERE
//Code generated: 2023-Jun-14, Code found in file: ./AdvancedComponentsCode/20221124/d2l/2_eFormat/flipCardsCodetoCopy_format.js
flipCardsCodetoCopy += "&lt;div class=&quot;CustomActivity&quot; title=&quot;Advance-FlipCards&quot; contenteditable=&quot;false&quot;&gt;";
flipCardsCodetoCopy += "<br/>    &lt;span class=&quot;sr-only only-on-edit&quot;&gt;Flip Cards Component Selected.&lt;/span&gt;";
flipCardsCodetoCopy += "<br/>    &lt;div class=&quot;card only-on-edit&quot;&gt;";
flipCardsCodetoCopy += "<br/>        &lt;div class=&quot;card-header clearfix&quot;&gt;";
flipCardsCodetoCopy += "<br/>            &lt;p class=&quot;card-heading&quot;&gt;Information Card: Flip Cards Component&lt;span style=&quot;float: right;&quot;&gt;Edit HTML mode: &lt;span class=&quot;mark-as-ooe&quot;&gt;ON&amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt;&lt;/span&gt;&lt;/span&gt;";
flipCardsCodetoCopy += "<br/>            &lt;/p&gt;";
flipCardsCodetoCopy += "<br/>        &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
flipCardsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;strong&gt;Note:&lt;/strong&gt; This icon &amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot;&gt;&lt;/i&gt; indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible";
flipCardsCodetoCopy += "<br/>                to the students.&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>            &lt;figure class=&quot;figure&quot; style=&quot;float:right;&quot; contenteditable=&quot;false&quot;&gt;";
flipCardsCodetoCopy += "<br/>                &lt;img src=&quot;"+getLinkedURL('/assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif')+"&quot; class=&quot;figure-img img-fluid rounded&quot; style=&quot;max-width: 95%;&quot; alt=&quot;right click link to open in new tab or window&quot;&gt;";
flipCardsCodetoCopy += "<br/>                &lt;figcaption class=&quot;figure-caption&quot;&gt;&lt;i class=&quot;far fa-lightbulb&quot;&gt;&lt;/i&gt; Tip: Right click to open any link while in Edit Mode&lt;/figcaption&gt;";
flipCardsCodetoCopy += "<br/>            &lt;/figure&gt;";
flipCardsCodetoCopy += "<br/>            &lt;p contenteditable=&quot;false&quot;&gt;&lt;br/&gt;&lt;i class=&quot;far fa-question-circle fa-lg&quot; style=&quot; margin: 5px 10px 0px 0px&quot;&gt;&lt;/i&gt;For Helpful Tips and Information on how to &lt;b&gt;Edit, Customize, Copy, Delete,&lt;/b&gt; please visit the &lt;a rel=&quot;noopener&quot; href=&quot;"+getLinkedURL('/assets/advInteractives_pkg/html/Info-Card-Flip-Cards.html')+"&quot; target=&quot;_blank&quot; contenteditable=&quot;true&quot;&gt;&lt;u&gt;Quick Start Guide&lt;/u&gt;&lt;/a&gt; page for this component by simply right clicking on the &quot;Quick Start Guide&quot; link text and then selecting open in a new tab or window.&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>        &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>    &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>    &lt;div class=&quot;card Advance-FlipCards-Builder&quot; contenteditable=&quot;false&quot;&gt;";
flipCardsCodetoCopy += "<br/>        &lt;div class=&quot;card-body clearfix&quot;&gt;";
flipCardsCodetoCopy += "<br/>            &lt;!-- START Card body 1 --&gt;";
flipCardsCodetoCopy += "<br/>            &lt;h2 class=&quot;only-on-edit&quot;&gt;Flip Cards Builder&lt;/h2&gt;";
flipCardsCodetoCopy += "<br/>            &lt;div class=&quot;table-responsive-md&quot;  contenteditable=&quot;true&quot;&gt;";
flipCardsCodetoCopy += "<br/>                &lt;!-- START Table --&gt;";
flipCardsCodetoCopy += "<br/>                &lt;table class=&quot;table table-striped table-bordered Advance-FlipCards-Builder-Table&quot;&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;!-- START table header --&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;thead&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- START header row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;tr class=&quot;Advance-FlipCards-Builder-THead&quot;&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;!-- Individual header cells --&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; width=&quot;15%&quot; contenteditable=&quot;false&quot;&gt;Front Top Header&lt;/th&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; width=&quot;35%&quot; contenteditable=&quot;false&quot;&gt;Front Content&lt;/th&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; width=&quot;15%&quot; contenteditable=&quot;false&quot;&gt;Back Top Header&lt;/th&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;th scope=&quot;col&quot; width=&quot;35%&quot; contenteditable=&quot;false&quot;&gt;Back Content&lt;/th&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;/tr&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- ./END header row --&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;/thead&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;!-- ./END table header --&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;!-- START table body --&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;tbody class=&quot;Advance-FlipCards-Builder-Body&quot;&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;tr&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 1st row --&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Question&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Front Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Answer&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Back Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;/tr&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;tr&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 2nd row --&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Question&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Front Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Answer&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Back Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;/tr&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- START table row --&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;tr&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;!-- Individual table cells for 3rd row --&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Question&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Front Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;Answer&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;td&gt;";
flipCardsCodetoCopy += "<br/>                                &lt;p&gt;FC Back Content Here&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                            &lt;/td&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;/tr&gt;";
flipCardsCodetoCopy += "<br/>                        &lt;!-- ./END table row --&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;/tbody&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;!-- ./END table body --&gt;";
flipCardsCodetoCopy += "<br/>                &lt;/table&gt;";
flipCardsCodetoCopy += "<br/>            &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>            &lt;!-- ./END Table --&gt;";
flipCardsCodetoCopy += "<br/>            &lt;section class=&quot;main-settings&quot;&gt;";
flipCardsCodetoCopy += "<br/>                &lt;h2 class=&quot;only-on-edit&quot;&gt;Settings&lt;/h2&gt;";
flipCardsCodetoCopy += "<br/>                &lt;p class=&quot;only-on-edit&quot;&gt;The following setting(s) are available, please type &apos;y&apos; for yes or &apos;n&apos; for no in the following space provided:&lt;/p&gt;";
flipCardsCodetoCopy += "<br/>                &lt;div class=&quot;component-settings only-on-edit&quot;&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;ol class=&quot;settings-list&quot;&gt;   ";
flipCardsCodetoCopy += "<br/>                        &lt;li&gt;&lt;span id=&quot;s1-rand&quot;&gt;Randomize the flip cards when the page is loaded or refreshed by the learner? &lt;span class=&apos;sr-only&apos;&gt;Type y for yes or n for no.&amp;nbsp;&lt;/span&gt;&lt;span class=&quot;edit-able&quot; contenteditable=&quot;true&quot; role=&quot;textarea&quot; aria-labelledby=&quot;s1-rand&quot; data-setting-type=&quot;randomize-me&quot;&gt;&amp;nbsp;n&lt;/span&gt;&lt;/span&gt;&lt;/li&gt;";
flipCardsCodetoCopy += "<br/>                    &lt;ol&gt;";
flipCardsCodetoCopy += "<br/>                &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>            &lt;/section&gt;";
flipCardsCodetoCopy += "<br/>            &lt;!-- ./END Card Body --&gt;";
flipCardsCodetoCopy += "<br/>        &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>    &lt;/div&gt;";
flipCardsCodetoCopy += "<br/>&lt;/div&gt;";
flipCardsCodetoCopy += "<br/>&lt;p&gt;&lt;span class=&quot;only-on-edit&quot;&gt;&lt;br/&gt;&lt;/span&gt;&lt;/p&gt;";
  $("#flipCardsCode").append(flipCardsCodetoCopy);
}

// _setPath Done