(function() { // Scoping function to avoid globals
    try{ 
        const css_files = new Map(); //key is file, value is [all the acitivities that use it]
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedClient.css'),new Array('ALL'));
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedFlipCard.css'),new Array('Advance-FlipCards'));
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedMCTFQ.css'),new Array('Advance-MCTFQ'));
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedMultiS.css'),new Array('Advance-MCTFQ'));
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedSA.css'),new Array('Advance-MCTFQ'));
        css_files.set(getLinkedURL('/assets/advInteractives_pkg/css/advancedRA.css'),new Array('Advance-MCTFQ'));
        const js_files = new Map();
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/html_STRUCT_parser.js'),new Array('Advance-Tabs','Advance-Accords','Advance-FlipCards','Advance-MCTFQ'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/table_builder_helper.js'),new Array('Advance-Tabs','Advance-Accords','Advance-FlipCards'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/STRUCT_Tabs.js'),new Array('Advance-Tabs'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/STRUCT_Accords.js'),new Array('Advance-Accords'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/STRUCT_FlipCards.js'),new Array('Advance-FlipCards'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/Build_FlipCards.js'),new Array('Advance-FlipCards'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/STRUCT_MCTFQ.js'),new Array('Advance-MCTFQ',['mc','tf','ms','sa','ra']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/Build_MCTFQ.js'),new Array('Advance-MCTFQ',['mc','tf','ms','sa','ra']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_Quiz.js'),new Array('Quiz')); //this one is for the older quiz skin, keep for any older courses using this skin
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/Build_Tabs.js'),new Array('Advance-Tabs'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/Build_Accords.js'),new Array('Advance-Accords'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_MulTargs.js'),new Array('Advance-MulTargs'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_FlipCards.js'),new Array('Advance-FlipCards'));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_MCTFQ.js'),new Array('Advance-MCTFQ',['mc','tf']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_MultiS.js'),new Array('Advance-MCTFQ',['ms']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_SA.js'),new Array('Advance-MCTFQ',['sa']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advancedClient_RA.js'),new Array('Advance-MCTFQ',['ra']));   
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/library_RA.js'),new Array('Advance-MCTFQ',['ra']));
        js_files.set(getLinkedURL('/assets/advInteractives_pkg/js/advanced_EditMode.js'),new Array('ALL'));

        const cActs= document.getElementsByClassName("CustomActivity");
        

        if (cActs.length > 0){
            let i;
            let y;
            //build map of all needed files key is title value and value is the count
            const advInt_counts = new Map();
            let hasMCTFQ = false;
            for (i = 0; i < cActs.length; i++) {
                for (y = 0; y < cActs[i].attributes.length; y++) {
                    if (cActs[i].attributes[y].name == 'title'){
                        const advInt_title_value = cActs[i].attributes[y].value;
                        if(advInt_title_value){
                            advInt_key = advInt_title_value.trim();
                            if(!hasMCTFQ && advInt_key == "Advance-MCTFQ"){
                                hasMCTFQ = true;
                            }
                            if(!advInt_counts.has(advInt_key)){
                                //we add to the count with value 1
                                advInt_counts.set(advInt_key, 1);
                            }else{
                                //we just increment the value
                                value_count = advInt_counts.get(advInt_key);
                                value_count ++;
                                advInt_counts.set(advInt_key, value_count);
                            } 
                        }
                    }
                }
            }
            let mctfq_qtypes_list;
            if(hasMCTFQ){
                mctfq_qtypes_list = new Array();
                //count how many of each question type
                const mctfq_qtypes = document.getElementsByClassName("new-question");
                for(let mctfq_qtype of mctfq_qtypes){
                    const q_type = (mctfq_qtype.getAttribute("data-question-type")).trim();
                    if(!mctfq_qtypes_list.includes(q_type)){
                        mctfq_qtypes_list.push(q_type);
                    }
                }
            }

            const files_to_append_list_css = new Array();
            const files_to_append_list_js = new Array();

            //for each advInt found just load up the files to append list, start with css and then js
            //raw_ingredients.constructor.toString().indexOf("Array") > -1
            for(const [file_path_name,advInt_uses] of css_files){
                let add_file_path_name;
                if(advInt_uses.includes('ALL')){
                    add_file_path_name = file_path_name;
                }else{
                    for(const [advInt_name,counts] of advInt_counts){
                        if(advInt_uses.includes(advInt_name)){
                            add_file_path_name = file_path_name;
                            break;
                        }
                    }
                }
                if(add_file_path_name && !files_to_append_list_css.includes(add_file_path_name)){
                    files_to_append_list_css.push(add_file_path_name);
                }
            }
            for(const [file_path_name,advInt_uses] of js_files){
                let add_file_path_name;
                if(advInt_uses.includes('ALL')){
                    add_file_path_name = file_path_name;
                }else{
                    for(const [advInt_name,counts] of advInt_counts){
                        if(counts>0 && advInt_uses.includes(advInt_name)){
                            let isNeeded = true;
                            if(advInt_name == "Advance-MCTFQ"){ // see if there is an array to drill down to see if need for mc,tf,ms,sa,ra, it not just add it as it might just be needed
                                isNeeded = false;
                                //check the second element if array
                                if(advInt_uses[1].constructor.toString().indexOf("Array") > -1){ //if array then check if q type in the array
                                    for(let qt of mctfq_qtypes_list){
                                        if(advInt_uses[1].includes(qt)){
                                            isNeeded = true;
                                            break; 
                                        }
                                    }
                                }else{
                                    isNeeded = true;
                                }   
                            }
                            if(isNeeded){
                                add_file_path_name = file_path_name;
                                break;
                            }
                        }
                    }
                }
                if(add_file_path_name && !files_to_append_list_js.includes(add_file_path_name)){
                    files_to_append_list_js.push(add_file_path_name);
                }
            }

            //append all css needed
            for(let css_file_path_name of files_to_append_list_css){
                //create link and append
                const link = document.createElement('link');
                link.rel = "stylesheet";
                link.type = "text/css";
                /**** Needs to be an absolute path when ready to publish _setPath **/
                link.href = css_file_path_name;
                document.head.appendChild(link);
            }
            //append all js needed
            for(let js_file_path_name of files_to_append_list_js){
                const script = document.createElement('script');
                script.src = js_file_path_name;
                script.async = false;
                document.body.append(script);
            }
        }else{
            /**
             * first need to check to see if any src linking to
            * assets/advInteractives_pkg/js/advanced_InteractiveComps.js
            * assets/advInteractives_pkg/js/clipboard/dist/clipboard.min.js
            * Make sure the full path is /assets/....... if not then change
            **/
            //check to see if interactive components scripts are being loaded dynamically, indicated by the loadInteractives id
            const loadInteractives = !!document.getElementById("loadInteractives");
            if (loadInteractives){
                /**** Needs to be an absolute path when ready to publish _setPath **/
                const script_advIntComp = document.createElement('script');
                script_advIntComp.src = getLinkedURL('/assets/advInteractives_pkg/js/advanced_InteractiveComps.js');
                script_advIntComp.async = false;
                document.body.append(script_advIntComp);
                /**** Needs to be an absolute path when ready to publish _setPath **/
                const script_clipB = document.createElement('script');
                script_clipB.src = getLinkedURL('/assets/advInteractives_pkg/js/clipboard/dist/clipboard.min.js');
                script_clipB.async = false;
                document.body.append(script_clipB);
            }
        }
    }catch(err){
    }
})();
// _setPath Done