function getLinkedURL(subPathFile){
    let fullPath;
    if(subPathFile.indexOf('http')==0){
        fullPath = subPathFile;
    }else{
        //PATH_TO_SET from custom.js
        if(typeof PATH_TO_SET !== 'undefined' && subPathFile.indexOf("./")!=0){ // check to see if ./ is the start since it's relative to, don't use PATH_TO_SET
            fullPath = PATH_TO_SET + "" + subPathFile;
        }else{
            fullPath = subPathFile;
        }
    }
    return fullPath;
}

/**
 * 
 * @param {Array} search_for //array with pairing to search for, [[tagname*,'tagname to search for'],...attributes/classes[,]] *required
 * @param {Element} childrenEle 
 * @returns false if not found or the element which matches what is tagName it's searching for
 */
function SearchChildrenFor(search_for, childrenEle){
    let childrenEle_childs = childrenEle.children;
    let isFound=0;
    //check if matches the tag name
    let tag_name=search_for[0][1];
    if(childrenEle.tagName == tag_name){
        isFound++;
    }
    let searching_for="";
    if(isFound > 0 && search_for.length > 1){
        let s;
        for(s=1;s<search_for.length;s++){
            //check to see if it has the attribute/class
            let attr_class = search_for[s][0];
            let attr_class_value = search_for[s][1];
            searching_for+=" "+ attr_class + " = "+ attr_class_value;
            if(childrenEle.hasAttribute(attr_class)){
                //check to see if the class or attribute value match
                let attr_class_value_ofEle = childrenEle.getAttribute(attr_class).split(' ');
                if(attr_class_value == '*' || attr_class_value_ofEle.includes(attr_class_value)){
                    isFound++;
                }
            }
        }
    }
    if(isFound == search_for.length){ //adds up to the number of searches found
        //return if found the tagName specified on the childEle
        
        // //for Testing
        if(isFound > 0 && search_for.length > 1){
        }else{
        }

        return childrenEle;
    }
    if(childrenEle_childs.length == 0){ //return if no children left
        return false;
    }
    if(childrenEle_childs.length > 0){
        //dig deeper
        let i;
        let searchResult;
        for(i=0;i<childrenEle_childs.length; i++){
            searchResult = SearchChildrenFor(search_for, childrenEle_childs[i]);
            if(searchResult){
                break;
            }
        }
        return searchResult;
    }
}